
prototype MESYS {
	void Tab( int TabRight, int InBlk, int Message, str Misc );
/******************************************************************************
                               Multi-Edit macro
                               30-Aug-95  01:52

  Function: Handles <TAB>/<ShftTAB>. If block is marked.

  Entry   : int TabLeft		Tab Direction ( /M=int )
							0 					- Tab right or indent block.
							1 					- Tab left or undent block.
						int InBlk			Indent only if cursor in block ( /I=1 )
 						int Message		Show messages ( /NM=1 no messages )

  Exit    : Nothing.

						 Copyright (C) 1991-95 by American Cybernectics, Inc.
**********************************************************************(ldh)***/

	void Cursor_To_Line( int L );

	void TopWin( int MvLine );
/******************************************************************************
  Function: Position cursor only or current line to top of the window.
  Entry   : int MvLine		True to position line at top of window
  Exit    : None
********************************************************************( ldh )***/

	void BotWin( int MvLine );
/******************************************************************************
  Function: Position cursor only or current line to bottom of window.
  Entry   : int MvLine		True to position line at bottom of window
  Exit    : None
********************************************************************( ldh )***/

	void MidWin( int MvLine );
/******************************************************************************
  Function: Position cursor only or current line to middle of window.
  Entry   : int MvLine		True to center line in window
  Exit    : None
********************************************************************( ldh )***/

	void NextChgLine( int Back );
/******************************************************************************
	Function: Positions the cursor on the next or previous changed line.  If no
						more lines are changed, no action takes place.

	Entry		: int Back			Looks backwards from current line ( /BACK=1 ).
	Exit		: None
*******************************************************************************/

int Find_Ext ( str Ext);
/*******************************************************************************
																MULTI_EDIT MACRO

Name: Find_Ext

Description: Makes sure extension specific setup globals are loaded for
	the passed extension.

Parameters:   Ext = str    Str is the extension to use (including the
													leading ".").

Returns:  0 if exists, -1 if loaded Default

      Return_Int  = Retrun value

      Return_Str  = name of the global to use to access
			the extension specific setup.
*******************************************************************************/


}