/********************************************************************
 Interface to FTP using the WININET.DLL  this will only work on a Win32
  system with this DLL installed.

                Copyright 1998 by American Cybernetics, Inc.
************************************************************( jkp)***/
#define _FTP_ASCII  0
#define _FTP_BINARY 1
#define _FTP_AUTO   2

struct FTPInfo
{
  int   dialog;

  Int   hOpen;
  Int   hConnect;
  Int   flags;                          // Misc. flags Actual FTP does not use these
  Str   fname[260];


  str   Hostname;
  str   Username;
  str   Password;
}


global
{
  int g_FTP_RxDontAsk     'Ftp_RXDontAsk';
  int g_FTP_TabShow       '#Ftp_TabShow';
}
prototype Ftp
{
  void  GetFtpStruct   ( str global_name, struct FTPInfo);
  void  SaveFTPStruct  ( str global_name, struct FTPInfo);

  int   FtpConnect    ( struct FTPInfo);
  int   FTPDisconnect ( struct FTPInfo);
  void  FTPChangeDir  ( struct FTPInfo, str dirname );
  int   FTPPrompt     ( str host, str user, str passwd, str &fstr, int file, str HelpTopic);
  void  FTPTransfer   ( str batch_name);

	int		FtpInUse			();
  int   FtpFileTransferMode ( str fn );
}