// $Header: /Me8/SH/MEW.SH 25    2/22/99 2:56p Dan $

// Window Attribute constants
#define _wa_Hidden					0x0001
#define _wa_HexMode					0x0020
#define _wa_Minimized				0x0040
#define _wa_System					0x0080
#define _wa_AlwaysCursor  	0x0100
#define _wa_DefaultFont			0x0200
#define _wa_BrBuffer				0x0400
#define _wa_BrHidden				0x0800
#define _wa_BrSpecial				0x1000
#define _wa_HexLineNumbers	0x2000
#define _wa_LineNumbers   	0x4000

// Window list sort constants
#define _ws_Off							0
#define _ws_File						1
#define _ws_Path						2
#define _ws_Ext							3

#define wcmdGloName 				"@WCMD_NEW"

#define _SaveOnDeactivate 	0x0001
#define _ReloadOnActivate 	0x0002
#define _ChangedOnTime    	0x0100
#define _ChangedOnAttr    	0x0200

#define _UtilsDir						( Me_Path + "UTILS\\" )
#define _DefaultDir					( Me_Path + "DEFAULTS\\" )
#define _ConfigDir					( Me_Path + "CONFIG\\" )
#define _ConfigVer          8010
#define _Headers          	(_DefaultDIr + "mewhdrs.db")
#define _ConfigFile       	"MECONFIG"

#define BtnOnRight          TRUE

#define _MODE_SHIFT_GLOBAL "~ModeShift#"

global
{
  int MEW_ShowCmd         "&Mew_Showcmd";
  int NeedLoadWcmds       "!NeedLoadWcmds";
  str WcmdmapName         "&WcmdmapName";
  str WcmdmapInit         "&WcmdmapInit";
  int BriefMode           "&BriefMode";
	int g_SWinMode					"#SWinMode";
	int g_CurWindow 				"!CurWindow";
  int Nofile_Hidden       "!NoFile_Hidden";
  int ActivateFlags       "!ActivateFlags";
  int MsgOnLeft           "&MsgOnLeft";
  int Binary_Mode         "#Binary_Mode";
  int g_ShiftCursorMode   "#g_ShiftCursorMode";
  int g_NoSplash          "!g_NoSplash";
  int g_Config_Version    "#Config_Version";
  int g_TabIndentsBlock   "#TabIndentsBlock";
  int g_AutoArrangeIcons  "#g_AutoArrangeIcons";
  int g_ProjectSupport    "!ProjectSupport";
	int g_WinSort						"#Winsort";

  // Globals Setups for Tab Bar
  str g_TabBarSettings    "#TabBarSettings";

  // >>>>>>>>>>> The following tab options are obsolete
  int g_TabEnable         "#TabEnable";
  int g_TabOptions        "#TabOptions";
  int g_TabColor          "#TabColor";
  str g_TabFont           "#TabFont";

  // Globals Setups for Ruler
  int g_DefaultRuler      "#DefaultRuler";
  int g_DefaultAllRuler   "#DefaultAllRuler";

  // Global for Setup changed
  int g_SetupChanged      "Setup_Changed";

  // Global for AutoSave Semiphore
  int g_InAutoSave        "!InAutoSave";
}

prototype Mew
{
	void ProcessMEWInit( );
	void CommandMapEdit( );

		// Gets a tempory wcmd to use
	int GetAvailableWcmd(
												int wcmdToUse, // Existing wcmd to use, else 0
												int startNum   // Number to start counting back from
																			 // if 0, then 9999 is used
												);

		// Removes a temporary wcmd from the list
	void ReleaseWcmd    ( int wcmd );
	void RebuildWcmds( );

		// Registers the DLLs in the Resource Registry.  Not normally called
		// except during initialization
	void RegisterDLLList();

		// Returns a string representation of the file time/date that is passed
		// in ftime.
	str FileDateTimeStr( int ftime );

	int QueryPackage( str PackageName );
/******************************************************************************
	Function: Check to see if an addon package is installed and enabled

	Entry   : str PackageName	- The registered addon package name

	Exit    : int
							True 		- Package installed and enabled
							False   - Package not enabled or not installed

	Macros	: int DbGetPage
********************************************************************( ldh )***/

	void ProcessPkgInit( int RegisterDlls );
/******************************************************************************
	Function: Register all enabled packages DLLs and run their init macros.

	Entry   : str RegisterDlls	- Set True when the package specific DLLs are to
																be registered.
	Macros	: int DbGetPage
********************************************************************( ldh )***/

	void RunPkgPostMac( );
/******************************************************************************
	Function: Run all enabled addon packages post macros.

	Macros	: int DbGetPage
********************************************************************( ldh )***/
	void ProcessMsgQueue( int mcount );

  void MewSetTabOptions();
}
