/***************************************************************************
  msglog.mac

  Routines for logging of debug messages.

***************************************************************************/

structure TCopyDataStruct {
  int dwData;
  int cbData;
  int lpData;
}

#define mtWarning         0
#define mtError           1
#define mtInformation     2
#define mtConfirmation    3

prototype MsgLog
{
  /*******************************************************************************
    MsgLog - 5/22/95 10:07AM

   by Todd M. Johnson, copyright 1995 by American Cybernetics, Inc.

   Logs window messages to a specified log buffer.

  ********************************************************************************/
  void MsgLog( int lognum,    // The log buffer #.  Log buffers are named
                              // "~MSGLOG-#" where # is the specifiec lognum

               str id,        // This str is usually used to identify the
                              //   calling routine

                              // The following parameters are the standard
                              //   Windows message parameters

               int window,    // The Windows' HWND
               int message,   // The message
               int wparam,    // The wparam
               int lparam     // The lparam
              );

  /*******************************************************************************
    DebugLog - 5/22/95 10:07AM
   by Todd M. Johnson, copyright 1995 by American Cybernetics, Inc.

   Logs debugging messages to a specified log buffer.
  ********************************************************************************/
  void DebugLog( int lognum,  // The log buffer #.  Log buffers are named
                              // "~MSGLOG-#" where # is the specifiec lognum

                 str id,      // This str is usually used to identify the
                              //   calling routine

                              // The following parameters are the standard
                              //   Windows message parameters

                 str msg,     // The specified message.  Fully supports
                              //   sprintf formatting

                 ...          // Additional parms
               );

  void MsgLogMsg( int LogId, str Id, struct TMsg Msg );
  void DebugSendEx( str Msg, int MType );
  void DebugClear( );
}
