// $Header: /MeWin32/SH/pascal.sh 2     6/26/97 12:24a Dan $

// Pascal/Delphi style properties field constants
#define _pas_prop_Options       "/O="
#define _pas_prop_IndentStyle   "/IS="
#define _pas_prop_ProcIndent    "/PI="

// Pascal/Delphi style properties options flag constants
#define _pas_opt_ParenHi        0x00000001
#define _pas_opt_AutoEndAdj     0x00000002
#define _pas_opt_MatchHi        0x00000004
#define _pas_opt_TagImp         0x00000008

// Pascal/Delphi style language properties structure
structure TPasProperties {
  str Language;
  int Options;
  int IndStyle;
  int ProcInd;
}

// Pascal/Delphi style public macros
prototype Pascal {
  int PasGetProperties( struct TPasProperties RPasP );
/******************************************************************************
	Function: Get the specific language properties for the current file.
	Entry   : struct rPasP		- A structure to fill with the properties.
	Exit    : int
							True		- Properties fill from Db
							False		- Properties set to internal defaults
********************************************************************( ldh )***/

	void PasInitMatch( );
/******************************************************************************
  Function: Sets the Pascal/Delphi language construct matching globals.
********************************************************************( ldh )***/

}
