// $Header: /MeWin32/SH/print.sh 3     8/13/97 11:10a Johnp $

#define POPTF_WRAP					0x0002
#define POPTF_USEFF					0x0004
#define POPTF_COLLAPSE			0x0008
#define POPTF_HEADERON			0x0010
#define POPTF_FOOTERON			0x0020
#define POPTF_SYNTAX				0x0040
#define POPTF_COLOR					0x0080
#define POPTF_HEX						0x0100

struct TPrintOptions
{
	int		Flags;

	int		HeaderOffset;
	int		FooterOffset;

	int		LMargin;
	int		RMargin;
	int		TMargin;
	int		BMArgin;

	int		LineNumbering;

	ASCIIZ	FontName [32];
	int			FontHeight;
	int			FontPointSize;
	int			CharSet;
	int			FontWeight;
	int			FontItalic;

	ASCIIZ	Header [128];
	ASCIIZ	Footer [128];

}

Global
{
	str	POptionsStruct  "~PRINTOPTIONS";
}


prototype Print
{
	void	SetPrintCfg			();
	void	SavePrintCfg		();
  int   PrintWindowRaw  ( int parent, int win, struct TPrintDlg pds );
	int		PrintDialog			( int parent, int win, struct TPrintDlg pds );
	void	PrintWindow			( int parent, int win);
	void	PrintSetup			( int parent);
}
