global
{
  str g_WlCCPath        '!Wl_CCPath';
  str g_wlHtmlHelp      '!WL_HtmlHelp';        // Html help file
  int g_wlHighlight     '!WL_Highlight';       // Enhanced highlighting

  int g_NoGetText       '!HTMLNoGetText';       // These next 8 all deal with the HTML color manager
  int g_CurColItem      '!HTMLCurColItem';
  int g_RGBBack         '!HTMLRGBBGColor=';
  int g_RGBText         '!HTMLRGBText=';
  int g_RGBLink         '!HTMLRGBLink=';
  int g_RGBVLnk         '!HTMLRGBVLink=';
  int g_RGBALnk         '!HTMLRGBALink=';
  int g_SetRGB          '!HTMLSetRGBMsg';


  int g_wlActiveWin     '!WL_ActiveWin';
  int g_wl_TagListSet   '!wl_TagListSet';

}

// This next section of #defines and structs are for the HTML color manager
struct TColorRec
{
	ASCIIZ  template [ 32];
  Int     customcolors  [16];
}

#define _WLHTML "WLHTML.DB"

#define H_Associateurl  "WebLair^Associate Urls"
#define WL_URLPAGE  "URL.DB"

#define COLOR_HTMLSAMP 1000
#define COLOR_HTMLBACK 1001
#define COLOR_HTMLTEXT 1002
#define COLOR_HTMLLINK 1003
#define COLOR_HTMLVLNK 1004
#define COLOR_HTMLALNK 1005
#define COLOR_HTMLOK   1

#define _WL_HDRVERSION 2
#define _WL_DBVERSION 1
#define _WL_TPTVERSION 2

#define _WL_VERSION "BETA 10"

#define WM_GETRGBVAL   0x500


// Global Messages
#define WL_WM_NEWPROJECT  0X800         // This message is broadcast to open dlgs when
                                        // when a project change occurs.


#define _WL_CommonCodeExt   "htc"

#define ColText "This will be regular text"
#define ColLink "This will be link text"
#define ColVLnk "This will be a visited link"
#define ColALnk "This will be an active link"
// Above is for the HTML color manager


// Help dialog constants
#define h_wl_Text2Html  "Text to HTML Dialog"

#define _wl_Disable_day     1
#define _wl_Disable_month   12
#define _wl_Disable_year    1997
#define _wl_Disable_str     "December 1, 1997"





#define MAX_BROWSERS  4

prototype weblair
{
	// The following 3 functions should be moved
  str   wl_GetAssocInfo (str founddata, int instruct);
  str   wl_XlateUrl     (str inputname, int instruct, str extension);
  void  wl_AssocDir     (str prjfilename, str prjname);


  void  wl_LoadHtmlFile (str fname, str ancpos);
  int   wl_MatchTag     (int noshow, int slashtag, str tag);
  void  wl_HtmlMatch    ();
  void  wl_SaveConfig   ();
  void  wl_HtmlContext  (int action);
  void  wl_Init         ();
  int   wl_Enabled();
  int   wl_Disabled();
  void  wl_HtmlColors   ();
  int   wl_HexVal       (str istr);
  void  wl_TagExpansion (str tag);
  void  wl_TagHelp      (str tagname );
  void  wl_UpdateBrowser(int connect, int flags, int manual);
  void  wl_Configure    ();
}

import void SetHtmlHighlighting (
    int h
    ) Mewlib32 "SetHtmlHighlighting";

import int  GetHtmlHighlighting (
    ) Mewlib32 "GetHtmlHighlighting";