// $Header: /MeWin32/SH/DdeMew.sh 2     8/14/97 3:55p Dan $

// The number of timer ticks to wait for a DdeConnect after starting program
#define waitTime		15000

prototype DdeMew {
  int DdeMewConnect(
    str Service,
    str Topic,
    str CmdLine,
    int ExecFlags,
    int &Started
    );
/******************************************************************************
	Function: Open an DDE client connection to the DDE server Service.

	Entry   : str Service			- The name of the DDE Server to connect to.
						str Topic				- The topic to open.
						str CmdLine			- A command line to execute to start server if the
 															DDE connection fails.  If blank server is not
															started.
						int ExecFlags		- The ExecProg flags to use when running CmdLine.
						int Started			- A variable that will be "true" if server started
															otherwise "false".

	Exit    : int							- Conv handle if connection successful otherwise 0
 *******************************************************************( ldh )***/

  void DdeMewDisconnect( int Conv );
/******************************************************************************
	Function: Disconnect from DDE server connected by handle Conv.

	Entry   : int Conv		- A DDE connection handle
 *******************************************************************( ldh )***/

  void DdeMewExecute( int Conv, str Command );
/******************************************************************************
	Function: Execute DDE command.

	Entry   : int Conv			- A DDE connection handle
						str Commnad		- Command to execute
 *******************************************************************( ldh )***/
}
