/******************************************************************************
														Multi-Edit Header File
															 01-May-97  00:35

	Function: Windows Messages
	Author  : Dan Hughes

	$Header: /MEWIN32/SH/MESSAGES.SH 4     9/04/97 9:57p Todd $

							 Copyright (C) 1997 by American Cybernectics, Inc.
 *******************************************************************( ldh )***/

// Window Messages
#define   wm_Null             	0x0000
#define   wm_Create           	0x0001
#define   wm_Destroy          	0x0002
#define   wm_Move             	0x0003
#define   wm_Size             	0x0005
#define   wm_Activate         	0x0006
#define   wm_SetFocus         	0x0007
#define   wm_KillFocus        	0x0008
#define   wm_Enable           	0x000A
#define   wm_SetRedraw        	0x000B
#define   wm_SetText          	0x000C
#define   wm_GetText          	0x000D
#define   wm_GetTextLength    	0x000E
#define   wm_Paint            	0x000F
#define   wm_Close            	0x0010
#define   wm_QueryEndSession  	0x0011
#define   wm_Quit             	0x0012
#define   wm_QueryOpen        	0x0013
#define   wm_EraseBkGnd       	0x0014
#define   wm_SysColorChange   	0x0015
#define   wm_EndSession       	0x0016
#define   wm_SystemError      	0x0017
#define   wm_ShowWindow       	0x0018
#define   wm_CtlColor         	0x0019
#define   wm_WinIniChange     	0x001A
#define 	wm_SettingChange 			wm_WinIniChange
#define   wm_DevModeChange    	0x001B
#define   wm_ActivateApp      	0x001C
#define   wm_FontChange       	0x001D
#define   wm_TimeChange       	0x001E
#define   wm_CancelMode       	0x001F
#define   wm_SetCursor        	0x0020
#define   wm_MouseActivate    	0x0021
#define   wm_ChildActivate    	0x0022
#define   wm_QueueSync        	0x0023
#define   wm_GetMinMaxInfo    	0x0024
#define   wm_PaintIcon        	0x0026
#define   wm_IconEraseBkGnd   	0x0027
#define   wm_NextDlgCtl       	0x0028
#define   wm_SpoolerStatus    	0x002A
#define   wm_DrawItem         	0x002B
#define   wm_MeasureItem      	0x002C
#define   wm_DeleteItem       	0x002D
#define   wm_VKeyToItem       	0x002E
#define   wm_CharToItem       	0x002F
#define   wm_SetFont          	0x0030
#define   wm_GetFont          	0x0031
#define   wm_SetHotkey        	0x0032
#define   wm_GetHotkeY        	0x0033
#define   wm_QueryDragIcon    	0x0037
#define   wm_CompareItem      	0x0039
#define   wm_Compacting       	0x0041

#define   wm_CommNotify       	0x0044    // Obsolete in Win32

#define   wm_WindowPosChanging  0x0046
#define   wm_WindowPosChanged   0x0047
#define 	wm_Power							0x0048

#define   wm_CopyData         	0x004A
#define   wm_CancelJournal    	0x004B
#define   wm_Notify           	0x004E

#define   wm_InputLangChangeRequest	0x0050
#define   wm_InputLangChange  			0x0051
#define   wm_TCard            			0x0052
#define   wm_Help             			0x0053
#define   wm_UserChanged      			0x0054
#define   wm_NotifyFormat     			0x0055

#define   wm_ContextMenu      	0x007B
#define   wm_StyleChanging    	0x007C
#define   wm_StyleChanged     	0x007D
#define   wm_DisplayChange    	0x007E
#define   wm_GetIcon          	0x007F
#define   wm_SetIcon          	0x0080

#define   wm_NCCreate         	0x0081
#define   wm_NCDestroy        	0x0082
#define   wm_NCCalcSize       	0x0083
#define   wm_NCHitTest        	0x0084
#define   wm_NCPaint          	0x0085
#define   wm_NCActivate       	0x0086
#define   wm_GetDlgCode       	0x0087
#define   wm_NCMouseMove      	0x00A0
#define   wm_NCLButtonDown    	0x00A1
#define   wm_NCLButtonUp      	0x00A2
#define   wm_NCLButtonDblClk  	0x00A3
#define   wm_NCRButtonDown    	0x00A4
#define   wm_NCRButtonUp      	0x00A5
#define   wm_NCRButtonDblClk  	0x00A6
#define   wm_NCMButtonDown    	0x00A7
#define   wm_NCMButtonUp      	0x00A8
#define   wm_NCMButtonDblClk  	0x00A9

#define   wm_KeyFirst         	0x0100
#define   wm_KeyDown          	0x0100
#define   wm_KeyUp            	0x0101
#define   wm_Char             	0x0102
#define   wm_DeadChar         	0x0103
#define   wm_SysKeyDown       	0x0104
#define   wm_SysKeyUp         	0x0105
#define   wm_SysChar          	0x0106
#define   wm_SysDeadChar      	0x0107
#define   wm_KeyLast          	0x0108

#define   wm_ime_StartComposition 0x010C
#define   wm_ime_EndComposition   0x010D
#define   wm_ime_Composition      0x010E
#define   wm_ime_KeyLast          0x010F

#define   wm_InitDialog       	0x0110
#define   wm_Command          	0x0111
#define   wm_SysCommand       	0x0112
#define   wm_Timer            	0x0113
#define   wm_HScroll          	0x0114
#define   wm_VScroll          	0x0115
#define   wm_InitMenu         	0x0116
#define   wm_InitMenuPopup    	0x0117
#define   wm_MenuSelect       	0x011F
#define   wm_MenuChar         	0x0120
#define   wm_EnterIdle        	0x0121

#define   wm_CtlColorMsgbox   	0x0132
#define   wm_CtlColorEdit     	0x0133
#define   wm_CtlColorListbox  	0x0134
#define   wm_CtlColorBtn      	0x0135
#define   wm_CtlColorDlg      	0x0136
#define   wm_CtlColorScrollbar	0x0137
#define   wm_CtlColorStatic   	0x0138

#define   wm_MouseFirst       	0x0200
#define   wm_MouseMove        	0x0200
#define   wm_LButtonDown      	0x0201
#define   wm_LButtonUp        	0x0202
#define   wm_LButtonDblClk    	0x0203
#define   wm_RButtonDown      	0x0204
#define   wm_RButtonUp        	0x0205
#define   wm_RButtonDblClk    	0x0206
#define   wm_MButtonDown      	0x0207
#define   wm_MButtonUp        	0x0208
#define   wm_MButtonDblClk    	0x0209
#define   wm_MouseLast        	0x0209

#define   wm_ParentNotify     	0x0210
#define   wm_EnterMenuLoop    	0x0211
#define   wm_ExitMenuLoop     	0x0212
#define   wm_NextMenu         	0x0213
#define   wm_Sizing             0x0214
#define   wm_CaptureChanged     0x0215
#define   wm_Moving             0x0216

#define   wm_MDICreate        	0x0220
#define   wm_MDIDestroy       	0x0221
#define   wm_MDIActivate      	0x0222
#define   wm_MDIRestore       	0x0223
#define   wm_MDINext          	0x0224
#define   wm_MDIMaximize      	0x0225
#define   wm_MDITile          	0x0226
#define   wm_MDICascade       	0x0227
#define   wm_MDIIconArrange   	0x0228
#define   wm_MDIGetActive     	0x0229
#define   wm_MDISetMenu       	0x0230

#define   wm_EnterSizeMove    	0x0231
#define   wm_ExitSizeMove     	0x0232
#define   wm_DropFiles        	0x0233
#define   wm_MdiRefreshMenu   	0x0234

#define   wm_Cut              	0x0300
#define   wm_Copy             	0x0301
#define   wm_Paste            	0x0302
#define   wm_Clear            	0x0303
#define   wm_Undo             	0x0304
#define   wm_RenderFormat     	0x0305
#define   wm_RenderAllFormats 	0x0306
#define   wm_DestroyClipboard 	0x0307
#define   wm_DrawClipboard    	0x0308
#define   wm_PaintClipboard   	0x0309
#define   wm_VScrollClipboard 	0x030A
#define   wm_SizeClipboard    	0x030B
#define   wm_AskCBFormatName  	0x030C
#define   wm_ChangeCBChain    	0x030D
#define   wm_HScrollClipboard 	0x030E
#define   wm_QueryNewPalette  	0x030F
#define   wm_PaletteIsChanging	0x0310
#define   wm_PaletteChanged   	0x0311
#define 	wm_Hotkey           	0x0312

#define   wm_PenWinFirst        0x0380
#define   wm_PenWinLast         0x038F

#define   wm_Coalesce_First     0x0390
#define   wm_Coalesce_Last      0x039F

#define   wm_dde_First         	0x03E0
#define   wm_dde_Initiate      	wm_dde_First + 0
#define   wm_dde_Terminate     	wm_dde_First + 1
#define   wm_dde_Advise        	wm_dde_First + 2
#define   wm_dde_Unadvise      	wm_dde_First + 3
#define   wm_dde_Ack           	wm_dde_First + 4
#define   wm_dde_Data          	wm_dde_First + 5
#define   wm_dde_Request       	wm_dde_First + 6
#define   wm_dde_Poke          	wm_dde_First + 7
#define   wm_dde_Execute       	wm_dde_First + 8
#define   wm_dde_Last          	wm_dde_First + 8

#define   wm_App 								0x8000

// NOTE: All Message Numbers below 0x0400 are RESERVED

// Private Window Messages Start Here
#define   wm_User               0x0400


// Button Notification Codes
#define   bn_Clicked       	0
#define   bn_Paint         	1
#define   bn_Hilite        	2
#define   bn_Unhilite      	3
#define   bn_Disable       	4
#define   bn_DoubleClicked	5
#define   bn_Pushed 			 	bn_Hilite
#define   bn_Unpushed			 	bn_Unhilite
#define   bn_DblClk 			 	bn_DoubleClicked
#define   bn_SetFocus				6
#define   bn_KillFocus			7

// Button Control Messages
#define   bm_GetCheck 			0x00F0
#define   bm_SetCheck 			0x00F1
#define   bm_GetState 			0x00F2
#define   bm_SetState 			0x00F3
#define   bm_SetStyle 			0x00F4
#define   bm_Click    			0x00F5
#define   bm_GetImage 			0x00F6
#define   bm_SetImage 			0x00F7

// Listbox Notification Codes
#define   lbn_ERRSPACE  		( -2 )
#define   lbn_SELCHANGE 		1
#define   lbn_DBLCLK    		2
#define   lbn_SELCANCEL 		3
#define   lbn_SETFOCUS  		4
#define   lbn_KILLFOCUS 		5

// Listbox messages
#define   LB_ADDSTRING            0x0180
#define   LB_INSERTSTRING         0x0181
#define   LB_DELETESTRING         0x0182
#define   LB_SELITEMRANGEEX       0x0183
#define   LB_RESETCONTENT         0x0184
#define   LB_SETSEL               0x0185
#define   LB_SETCURSEL            0x0186
#define   LB_GETSEL               0x0187
#define   LB_GETCURSEL            0x0188
#define   LB_GETTEXT              0x0189
#define   LB_GETTEXTLEN           0x018A
#define   LB_GETCOUNT             0x018B
#define   LB_SELECTSTRING         0x018C
#define   LB_DIR                  0x018D
#define   LB_GETTOPINDEX          0x018E
#define   LB_FINDSTRING           0x018F
#define   LB_GETSELCOUNT          0x0190
#define   LB_GETSELITEMS          0x0191
#define   LB_SETTABSTOPS          0x0192
#define   lb_GetHorizontalExt  		0x0193
#define   lb_SetHorizontalExt  		0x0194
#define   LB_SETCOLUMNWIDTH       0x0195
#define   LB_ADDFILE              0x0196
#define   LB_SETTOPINDEX          0x0197
#define   LB_GETITEMRECT          0x0198
#define   LB_GETITEMDATA          0x0199
#define   LB_SETITEMDATA          0x019A
#define   LB_SELITEMRANGE         0x019B
#define   LB_SETANCHORINDEX       0x019C
#define   LB_GETANCHORINDEX       0x019D
#define   LB_SETCARETINDEX        0x019E
#define   LB_GETCARETINDEX        0x019F
#define   LB_SETITEMHEIGHT        0x01A0
#define   LB_GETITEMHEIGHT        0x01A1
#define   LB_FINDSTRINGEXACT      0x01A2
#define   LB_SETLOCALE            0x01A5
#define   LB_GETLOCALE            0x01A6
#define   LB_SETCOUNT             0x01A7
#define   LB_INITSTORAGE          0x01A8
#define   LB_ITEMFROMPOINT        0x01A9
#define   LB_MSGMAX               432

// Combo Box Notification Codes
#define   CBN_ERRSPACE   					( -1 )
#define   CBN_SELCHANGE  					1
#define   CBN_DBLCLK     					2
#define   CBN_SETFOCUS   					3
#define   CBN_KILLFOCUS  					4
#define   CBN_EDITCHANGE 					5
#define   CBN_EDITUPDATE 					6
#define   CBN_DROPDOWN   					7
#define   CBN_CLOSEUP    					8
#define   CBN_SELENDOK   					9
#define   CBN_SELENDCANCEL 				10

// Combo Box messages
#define   CB_GETEDITSEL            0x0140
#define   CB_LIMITTEXT             0x0141
#define   CB_SETEDITSEL            0x0142
#define   CB_ADDSTRING             0x0143
#define   CB_DELETESTRING          0x0144
#define   CB_DIR                   0x0145
#define   CB_GETCOUNT              0x0146
#define   CB_GETCURSEL             0x0147
#define   CB_GETLBTEXT             0x0148
#define   CB_GETLBTEXTLEN          0x0149
#define   CB_INSERTSTRING          0x014A
#define   CB_RESETCONTENT          0x014B
#define   CB_FINDSTRING            0x014C
#define   CB_SELECTSTRING          0x014D
#define   CB_SETCURSEL             0x014E
#define   CB_SHOWDROPDOWN          0x014F
#define   CB_GETITEMDATA           0x0150
#define   CB_SETITEMDATA           0x0151
#define   CB_GETDROPPEDCONTROLRECT 0x0152
#define   CB_SETITEMHEIGHT         0x0153
#define   CB_GETITEMHEIGHT         0x0154
#define   CB_SETEXTENDEDUI         0x0155
#define   CB_GETEXTENDEDUI         0x0156
#define   CB_GETDROPPEDSTATE       0x0157
#define   CB_FINDSTRINGEXACT       0x0158
#define   CB_SETLOCALE             345
#define   CB_GETLOCALE             346
#define   CB_GETTOPINDEX           347
#define   CB_SETTOPINDEX           348
#define   CB_GETHORIZONTALEXTENT   349
#define   CB_SETHORIZONTALEXTENT   350
#define   CB_GETDROPPEDWIDTH       351
#define   CB_SETDROPPEDWIDTH       352
#define   CB_INITSTORAGE           353
#define   CB_MSGMAX                354

// Edit Control Notification Codes }
#define   EN_SETFOCUS  0x0100
#define   EN_KILLFOCUS 0x0200
#define   EN_CHANGE    0x0300
#define   EN_UPDATE    0x0400
#define   EN_ERRSPACE  0x0500
#define   EN_MAXTEXT   0x0501
#define   EN_HSCROLL   0x0601
#define   EN_VSCROLL   0x0602

// Edit Control Messages
#define   EM_GETSEL              	0x00B0
#define   EM_SETSEL              	0x00B1
#define   EM_GETRECT             	0x00B2
#define   EM_SETRECT             	0x00B3
#define   EM_SETRECTNP           	0x00B4
#define   EM_SCROLL              	0x00B5
#define   EM_LINESCROLL          	0x00B6
#define   EM_SCROLLCARET         	0x00B7
#define   EM_GETMODIFY           	0x00B8
#define   EM_SETMODIFY           	0x00B9
#define   EM_GETLINECOUNT        	0x00BA
#define   EM_LINEINDEX           	0x00BB
#define   EM_SETHANDLE           	0x00BC
#define   EM_GETHANDLE           	0x00BD
#define   EM_GETTHUMB            	0x00BE
#define   EM_LINELENGTH          	0x00C1
#define   EM_REPLACESEL          	0x00C2
#define   EM_GETLINE             	0x00C4
#define   EM_LIMITTEXT           	0x00C5
#define   EM_CANUNDO             	0x00C6
#define   EM_UNDO                	0x00C7
#define   EM_FMTLINES            	0x00C8
#define   EM_LINEFROMCHAR        	0x00C9
#define   EM_SETTABSTOPS         	0x00CB
#define   EM_SETPASSWORDCHAR     	0x00CC
#define   EM_EMPTYUNDOBUFFER     	0x00CD
#define   EM_GETFIRSTVISIBLELINE 	0x00CE
#define   EM_SETREADONLY         	0x00CF
#define   EM_SETWORDBREAKPROC    	0x00D0
#define   EM_GETWORDBREAKPROC    	0x00D1
#define   EM_GETPASSWORDCHAR     	0x00D2
#define   EM_SETMARGINS          	211
#define   EM_GETMARGINS          	212
#define   EM_SETLIMITTEXT        	EM_LIMITTEXT	// win40 Name change
#define   EM_GETLIMITTEXT        	213
#define   EM_POSFROMCHAR         	214
#define   EM_CHARFROMPOS         	215

// Scroll bar messages
#define   SBM_SETPOS 							224   // not in win3.1
#define   SBM_GETPOS 							225   // not in win3.1
#define   SBM_SETRANGE 						226   // not in win3.1
#define   SBM_SETRANGEREDRAW 			230   // not in win3.1
#define   SBM_GETRANGE 						227   // not in win3.1
#define   SBM_ENABLE_ARROWS 			228		// not in win3.1
#define   SBM_SETSCROLLINFO 			233
#define   SBM_GETSCROLLINFO 			234

#define   STM_SETICON 		( wm_User + 0 )
#define   STM_GETICON 		( wm_User + 1 )

// Dialog messages
#define   dm_GetDefId     0x400
#define   dm_SetDefId     0x401
#define   dm_Reposition   0x402

#define   PSM_PAGEINFO 		( wm_User + 100 )
#define   PSM_SHEETINFO 	( wm_User + 101 )
