// $Header: /MeWin32/SH/VBasic.sh 1     7/30/98 12:28p Dan $

// VBasic properties field constants
#define _vbas_prop_Options    "/O="
#define _vbas_prop_EolCol     "/EC="

// Options flag constants
#define _vbas_opt_MatchHi     0x00000001
#define _vbas_opt_ParenHi     0x00000002
#define _vbas_opt_EolCmtAdj   0x00000020

// VBasic language properties structure
structure TVBasProperties {
  str Language;
  int Options;
  int EolCol;
}

// Default constants
#define _defEolCol            41
#define _defOptions           _vbas_opt_MatchHi | _vbas_opt_ParenHi | _vbas_opt_EolCmtAdj

prototype VBasic {
  int VBasGetProperties( struct TVBasProperties RVBasP );
/******************************************************************************
	Function: Get the specific language properties for the current file.
  Entry   : struct RVBasP    - A structure to fill with the properties.
	Exit    : int
							True		- Properties filled from Db
							False		- Properties set to internal defaults
 *******************************************************************( ldh )***/

  void VBasInitMatch( );
/******************************************************************************
  Function: Sets the VBasic language construct matching globals.
 *******************************************************************( ldh )***/

}
