// $Header: /MeWin32/SH/c.sh 3     11/19/97 10:31p Dan $

// C properties field constants
#define _c_prop_Options       "/O="
#define _c_prop_IndentStyle   "/IS="
#define _c_prop_EolCol        "/EC="
#define _c_prop_ContInd       "/CI="

// C properties options constants
#define _c_opt_MatchHi        0x00000001
#define _c_opt_ParenHi        0x00000002
#define _c_opt_BraceHi        0x00000004
#define _c_opt_BraceAdj       0x00000010
#define _c_opt_EolCmtAdj      0x00000020
#define _c_opt_BreakAdj				0x00000040  // Outdent after break
#define _c_opt_AutoCmt        0x00000100
#define _c_opt_AutoEolCmt     0x00000200  // DLS, Added define
#define _c_opt_TagDefines     0x00001000

// C style language properties structure
structure TCProperties {
  str Language;
  int Options;
  int IndStyle;
  int EolCol;
  int ContInd;
}

prototype C {
  int CGetProperties( struct TCProperties rCP );
/******************************************************************************
  Function: Get the specific language properties for the current file.
  Entry   : struct rCP    - A structure to fill with the properties.
  Exit    : int
              True    - Properties fill from Db
              False   - Properties set to internal defaults
********************************************************************( ldh )***/

  void CInitMatch( );
/******************************************************************************
	Function: Sets the C/C++ style language construct matching globals.
********************************************************************( ldh )***/

}
