/**************************************************************************
* Color Setup Interface
* 7/1/94 3:49PM   Johnp
***************************************************************************/

// Color/Attribute Indexes
#define    Text_Attr         	0
#define    Highlight_Attr    	1
#define    Search_Attr       	2

#define    Page_Attr         	3
#define    Changed_Attr      	4
#define    EOF_Attr          	5
#define    LineNormal_Attr   	6
#define    LineBlock_Attr    	7

#define    Reserved_Attr     	8
#define    Symbol_Attr       	9
#define    EolComment1_Attr  	10
#define    EolComment2_Attr  	11
#define    OpComment1_Attr   	12
#define    OpComment2_Attr   	13
#define    Numeric_Attr      	14
#define    String_Attr       	15

#define    FC_Different_Attr 	16
#define    FC_Inserted_Attr  	17

#define    LineChanged_Attr  	18
#define    Margin_Attr       	19

#define    Tag_Reserved_Attr 	20
#define    Tag_Symbol_Attr   	21
#define    Tag_Comment_Attr  	22
#define    Tag_Attribute_Attr 23
#define    Tag_Value_Attr    	24
// #define    Tag_Script_Attr   	25
#define    Reserved2_Attr			26
#define 	 Reserved3_Attr		  27
#define		 Reserved4_Attr			28

#define    NumMewAttrs       	29

// Attribute Constants
#define MewBold     $0001
#define MewItalic   $0002
#define MewStyle    $0003
#define MewUseColor $0100
#define MewUseFont  $0200
#define MewBlank    $8000

Global
{
	str DefaultColor "&DefaultColor";
}

Prototype Colors
{
	int   SetTemplateAttrs  ( int buf, str templatename);
	int   SelectColors      ( int parent, str &templatename, int buf);
	void  SetupDefColors    ( int parent);
	void  SetupCustColors   ( int parent);
  int   ColorSelectDlg( int parent, int color );
}