// $Header: /MEWIN32/SH/commdlg.sh 6     8/13/97 11:10a Johnp $

#define   AsciizP   int
#define   PointInt  int

//#define POpenFilename   *TOpenFilename
#define   POpenFilename int

structure TOpenFileName {
  int     lStructSize;
  HWnd    hWndOwner;
  THandle hInstance;
  AsciizP lpstrFilter;
  AsciizP lpstrCustomFilter;
  int     nMaxCustFilter;
  int     nFilterIndex;
  AsciizP lpstrFile;
  int     nMaxFile;
  AsciizP lpstrFileTitle;
  int     nMaxFileTitle;
  AsciizP lpstrInitialDir;
  AsciizP lpstrTitle;
  int     Flags;
  Word    nFileOffset;
  Word    nFileExtension;
  AsciizP lpstrDefExt;
  int     lCustData;
  int     lpfnHook;
  AsciizP lpTemplateName;
}

import Bool GetOpenFileName( POpenFilename OpenFile )
    comdlg32 'GetOpenFileNameA';

import Bool GetSaveFileName( POpenFilename OpenFile )
    comdlg32 'GetSaveFileNameA';

import Word GetFileTitle( *Asciiz FileName, Asciiz Title, Word TitleSize )
    comdlg32 'GetFileTitleA';


#define   ofn_ReadOnly            0x00000001
#define   ofn_OverWritePrompt     0x00000002
#define   ofn_HideReadOnly        0x00000004
#define   ofn_NoChangeDir         0x00000008
#define   ofn_ShowHelp            0x00000010
#define   ofn_EnableHook          0x00000020
#define   ofn_EnableTemplate      0x00000040
#define   ofn_EnableTemplateH     0x00000080
#define   ofn_NoValidate          0x00000100
#define   ofn_AllowMultiSelect    0x00000200
#define   ofn_ExtentionDifferent  0x00000400
#define   ofn_PathMustExist       0x00000800
#define   ofn_FileMustExist       0x00001000
#define   ofn_CreatePrompt        0x00002000
#define   ofn_ShareAware          0x00004000
#define   ofn_NoReadOnlyReturn    0x00008000
#define   ofn_NoTextFileCreate    0x00010000
#define   ofn_NoNetworkButton     0x00020000
#define   ofn_NoLongnames         0x00040000
#define   ofn_Explorer            0x00080000
#define   ofn_NoDereferenceLinks  0x00100000
#define   ofn_Longnames           0x00200000

/* Return values for the registered message sent to the hook function
	when a sharing violation occurs.  ofn_ShareFallThrough allows the
	filename to be accepted, ofn_ShareNoWarn rejects the name but puts
	up no warning (returned when the app has already put up a warning
	message), and ofn_ShareWarn puts up the default warning message
	for sharing violations.

	Note:  Undefined return values map to ofn_ShareWarn. */

#define   ofn_ShareFallThrough    2
#define   ofn_ShareNoWarn         1
#define   ofn_ShareWarn           0


//#define PChooseColor    *TChooseColor
#define   PChooseColor  Pointer
structure TChooseColor {
  int       lStructSize;
  HWnd      hWndOwner;
  HWnd      hInstance;
  int       rgbResult;
  int       lpCustColors;
  int       Flags;
  int       lCustData;
  PointInt  lpfnHook;
  AsciizP   lpTemplateName;
}

import Bool ChooseColor( PChooseColor CC )
    comdlg32 'ChooseColorA';


#define   cc_RGBInit              0x00000001
#define   cc_FullOpen             0x00000002
#define   cc_PreventFullOpen      0x00000004
#define   cc_ShowHelp             0x00000008
#define   cc_EnableHook           0x00000010
#define   cc_EnableTemplate       0x00000020
#define   cc_EnableTemplateHandle 0x00000040
#define   cc_SolidColor           0x00000080
#define   cc_AnyColor             0x00000100


//#define PFindReplace    *TFindReplace
#define   PFindReplace  Pointer
structure TFindReplace {
  int       lStructSize;          // size of this struct $20
  HWnd      hWndOwner;            // handle to owner's window
  THandle   hInstance;            /* instance handle of.EXE that
                                      contains cust. dlg. template */
  int       Flags;                // one or more of the fr_??
  AsciizP   lpstrFindWhat;        // ptr. to search string
  AsciizP   lpstrReplaceWith;     // ptr. to replace string
  Word      wFindWhatLen;         // size of find buffer
  Word      wReplaceWithLen;      // size of replace buffer
  int       lCustData;            // data passed to hook fn.
  PointInt  lpfnHook;
                                  // ptr. to hook fn. or nil
  AsciizP   lpTemplateName;       // custom template name
}


#define   fr_Down                   0x00000001
#define   fr_WholeWord              0x00000002
#define   fr_MatchCase              0x00000004
#define   fr_FindNext               0x00000008
#define   fr_Replace                0x00000010
#define   fr_ReplaceAll             0x00000020
#define   fr_DialogTerm             0x00000040
#define   fr_ShowHelp               0x00000080
#define   fr_EnableHook             0x00000100
#define   fr_EnableTemplate         0x00000200
#define   fr_NoUpDown               0x00000400
#define   fr_NoMatchCase            0x00000800
#define   fr_NoWholeWord            0x00001000
#define   fr_EnableTemplateHandle   0x00002000
#define   fr_HideUpDown             0x00004000
#define   fr_HideMatchCase          0x00008000
#define   fr_HideWholeWord          0x00010000

import HWnd FindText( PFindReplace FindReplace )
    comdlg32 'FindTextA';

import HWnd ReplaceText( PFindReplace FindReplace )
    comdlg32 'ReplaceTextA';


//#define PChooseFont   *TChooseFont
#define   PChooseFont   Pointer
structure TChooseFont {
  int       lStructSize;            //
  HWnd      hWndOwner;              // caller's window handle
  HDC       hDC;                    // printer DC/IC or nil
  POINTINT  lpLogFont;              // ptr. to a LOGFONT struct
  int       iPointSize;             // 10 * size in points of selected font
  int       Flags;                  // enum. type flags
  int       rgbColors;              // returned text color
  int       lCustData;              // data passed to hook fn.
  POINTINT  lpfnHook;
                                    // ptr. to hook function
  ASCIIZP   lpTemplateName;         // custom template name
  THandle   hInstance;              /* instance handle of.EXE that
                                        contains cust. dlg. template */
  ASCIIZP   lpszStyle;              /* return the style field here
                                        must be lf_FaceSize or bigger */
  Word      nFontType;              /* same value reported to the EnumFonts
                                        call back with the extra fonttype_
                                        bits added */
  Word      wReserved;
  int       nSizeMin;               // minimum pt size allowed &
  int       nSizeMax;               /* max pt size allowed if
                                        cf_LimitSize is used      */
}

import Bool ChooseFont( PChooseFont ChooseFont )
    comdlg32 'ChooseFontA';


#define   cf_ScreenFonts      0x00000001
#define   cf_PrinterFonts     0x00000002
#define   cf_Both             cf_ScreenFonts | cf_PrinterFonts
#define   cf_ShowHelp         0x00000004
#define   cf_EnableHook       0x00000008
#define   cf_EnableTemplate   0x00000010
#define   cf_EnableTemplateHn 0x00000020
#define   cf_InitToLogfontStr 0x00000040
#define   cf_UseStyle         0x00000080
#define   cf_Effects          0x00000100
#define   cf_Apply            0x00000200
#define   cf_AnsiOnly         0x00000400
#define   cf_ScriptsOnly      cf_AnsiOnly
#define   cf_NoVectorFonts    0x00000800
#define   cf_NoOEMFonts       cf_NoVectorFonts
#define   cf_NoSimulations    0x00001000
#define   cf_LimitSize        0x00002000
#define   cf_FixedPitchOnly   0x00004000
#define   cf_WYSIWYG          0x00008000 // must also have cf_ScreenFonts & cf_PrinterFonts
#define   cf_ForceFontExist   0x00010000
#define   cf_ScalableOnly     0x00020000
#define   cf_TTOnly           0x00040000
#define   cf_NoFaceSel        0x00080000
#define   cf_NoStyleSel       0x00100000
#define   cf_NoSizeSel        0x00200000
#define   cf_SelectScript     0x00400000
#define   cf_NoScriptSel      0x00800000
#define   cf_NoVertFonts      0x01000000

/* these are extra nFontType bits that are added to what is returned to the
	EnumFonts callback routine */

#define   simulated_FontType  0x8000
#define   printer_FontType    0x4000
#define   screen_FontType     0x2000
#define   bold_FontType       0x0100
#define   italic_FontType     0x0200
#define   regular_FontType    0x0400

#define   wm_ChooseFont_GetLogFont  wm_User + 1
#define   wm_ChooseFont_SetLogFont  wm_User + 101
#define   wm_ChooseFont_SetFlags    wm_User + 102


/* strings used to obtain unique window message for communication
	between dialog and caller */

#define   lbSelChString   "commdlg_LBSelChangedNotify"
#define   shareViString   "commdlg_ShareViolation"
#define   fileOKString    "commdlg_FileNameOK"
#define   colorOKString   "commdlg_ColorOK"
#define   setRGBString    "commdlg_SetRGBColor"
#define   findMsgString   "commdlg_FindReplace"
#define   helpMsgString   "commdlg_help"

// HIWORD values for lParam of commdlg_LBSelChangeNotify message

#define   cd_LBSelNoItems -1
#define   cd_LBSelChange  0
#define   cd_LBSELSUB     1
#define   cd_LBSelAdd     2

//#define PPrintDlg   *TPrintDlg
#define   PPrintDlg   Pointer
structure TPrintDlg {
  INT       lStructSize;
  HWnd      hWndOwner;
  THandle   hDevMode;
  THandle   hDevNames;
  HDC       hDC;
  INT       Flags;
  Word      nFromPage;
  Word      nToPage;
  Word      nMinPage;
  Word      nMaxPage;
  Word      nCopies;
  THandle   hInstance;
  INT       lCustData;
  PointInt  lpfnPrintHook;
  PointInt  lpfnSetupHook;
  AsciizP   lpPrintTemplateName;
  AsciizP   lpSetupTemplateName;
  THandle   hPrintTemplate;
  THandle   hSetupTemplate;
}

import Bool PrintDlg( PPrintDlg PrintDlg )
    comdlg32 'PrintDlgA';


#define   pd_AllPages           0x00000000
#define   pd_Selection          0x00000001
#define   pd_PageNums           0x00000002
#define   pd_NoSelection        0x00000004
#define   pd_NoPageNums         0x00000008
#define   pd_Collate            0x00000010
#define   pd_PrintToFile        0x00000020
#define   pd_PrintSetup         0x00000040
#define   pd_NoWarning          0x00000080
#define   pd_ReturnDC           0x00000100
#define   pd_ReturnIC           0x00000200
#define   pd_ReturnDefault      0x00000400
#define   pd_ShowHelp           0x00000800
#define   pd_EnablePrintHook    0x00001000
#define   pd_EnableSetupHook    0x00002000
#define   pd_EnablePrintTemp    0x00004000
#define   pd_EnableSetupTemp    0x00008000
#define   pd_EnablePrintTempH   0x00010000
#define   pd_EnableSetupTempH   0x00020000
#define   pd_UseDevModeCopies   0x00040000
#define   pd_DisablePrintToFile 0x00080000
#define   pd_HidePrintToFile    0x00100000
#define   pd_NoNetworkButton    0x00200000


//#define PDevNames   *TDevNames
#define   PDevNames   Pointer
structure TDevNames {
  Word  wDriverOffset;
  Word  wDeviceOffset;
  Word  wOutputOffset;
  Word  wDefault;
}

#define WM_PSD_PAGESETUPDLG     (WM_USER  )
#define WM_PSD_FULLPAGERECT     (WM_USER+1)
#define WM_PSD_MINMARGINRECT    (WM_USER+2)
#define WM_PSD_MARGINRECT       (WM_USER+3)
#define WM_PSD_GREEKTEXTRECT    (WM_USER+4)
#define WM_PSD_ENVSTAMPRECT     (WM_USER+5)
#define WM_PSD_YAFULLPAGERECT   (WM_USER+6)

struct TPageSetupDlg
{
    INT             lStructSize;
    HWND            hwndOwner;
    THandle         hDevMode;
    THandle         hDevNames;
    INT             Flags;
    //POINT           ptPaperSize;
    INT             ptPaperSizeX;
    INT             ptPaperSizeY;
    //RECT            rtMinMargin;
    INT             rtMinMarginLeft;
    INT             rtMinMarginTop;
    INT             rtMinMarginRight;
    INT             rtMinMarginBottom;
    //RECT            rtMargin;
    int             rtMarginLeft;
    int             rtMarginTop;
    int             rtMarginRight;
    int             rtMarginBottom;
    THandle         hInstance;
    INT             lCustData;
    PointInt        lpfnPageSetupHook;
    PointInt        lpfnPagePaintHook;
    ASCIIZP         lpPageSetupTemplateName;
    THandle         hPageSetupTemplate;
};
#define PPageSetupDlg Pointer

import BOOL PageSetupDlg ( PPageSetupDlg PageSetupDlg )
    comdlg32  'PageSetupDlgA';

#define PSD_DEFAULTMINMARGINS             0x00000000 // default (printer's)
#define PSD_INWININIINTLMEASURE           0x00000000 // 1st of 4 possible

#define PSD_MINMARGINS                    0x00000001 // use caller's
#define PSD_MARGINS                       0x00000002 // use caller's
#define PSD_INTHOUSANDTHSOFINCHES         0x00000004 // 2nd of 4 possible
#define PSD_INHUNDREDTHSOFMILLIMETERS     0x00000008 // 3rd of 4 possible
#define PSD_DISABLEMARGINS                0x00000010
#define PSD_DISABLEPRINTER                0x00000020
#define PSD_NOWARNING                     0x00000080 // must be same as PD_*
#define PSD_DISABLEORIENTATION            0x00000100
#define PSD_RETURNDEFAULT                 0x00000400 // must be same as PD_*
#define PSD_DISABLEPAPER                  0x00000200
#define PSD_SHOWHELP                      0x00000800 // must be same as PD_*
#define PSD_ENABLEPAGESETUPHOOK           0x00002000 // must be same as PD_*
#define PSD_ENABLEPAGESETUPTEMPLATE       0x00008000 // must be same as PD_*
#define PSD_ENABLEPAGESETUPTEMPLATEHANDLE 0x00020000 // must be same as PD_*
#define PSD_ENABLEPAGEPAINTHOOK           0x00040000
#define PSD_DISABLEPAGEPAINTING           0x00080000
#define PSD_NONETWORKBUTTON               0x00200000 // must be same as PD_*

#define   dn_DefaultPrn   0x0001

import int CommDlgExtendedError( )
    comdlg32 'CommDlgExtendedError';


// Common dialog error return codes

#define   cderr_DialogFailure    0xFFFF

#define   cderr_GeneralCodes     0x0000
#define   cderr_StructSize       0x0001
#define   cderr_Initialization   0x0002
#define   cderr_NoTemplate       0x0003
#define   cderr_NoHInstance      0x0004
#define   cderr_LoadStrFailure   0x0005
#define   cderr_FindResFailure   0x0006
#define   cderr_LoadResFailure   0x0007
#define   cderr_LockResFailure   0x0008
#define   cderr_MemAllocFailure  0x0009
#define   cderr_MemLockFailure   0x000A
#define   cderr_NoHook           0x000B
#define   cderr_RegisterMsgFail  0x000C

#define   pderr_PrinterCodes     0x1000
#define   pderr_SetupFailure     0x1001
#define   pderr_ParseFailure     0x1002
#define   pderr_RetDefFailure    0x1003
#define   pderr_LoadDrvFailure   0x1004
#define   pderr_GetDevModeFail   0x1005
#define   pderr_InitFailure      0x1006
#define   pderr_NoDevices        0x1007
#define   pderr_NoDefaultPrn     0x1008
#define   pderr_DNDMMismatch     0x1009
#define   pderr_CreateICFailure  0x100A
#define   pderr_PrinterNotFound  0x100B
#define   pderr_DefaultDifferent 0x100C

#define   cferr_ChooseFontCodes  0x2000
#define   cferr_NoFonts          0x2001
#define   cferr_MaxLessThanMin   0x2002

#define   fnErr_FilenameCodes    0x3000
#define   fnErr_SubclassFailure  0x3001
#define   fnErr_InvalidFilename  0x3002
#define   fnErr_BufferTooSmall   0x3003

#define   frErr_FindReplaceCodes 0x4000
#define   frErr_BufferLengthZero 0x4001

#define   ccErr_ChooseColorCodes 0x5000
