
  // Incorrect function.
#define ERROR_INVALID_FUNCTION     1   // dderror

  // The system cannot find the file specified.
#define ERROR_FILE_NOT_FOUND     2

  // The system cannot find the path specified.
#define ERROR_PATH_NOT_FOUND     3

  // The system cannot open the file.
#define ERROR_TOO_MANY_OPEN_FILES      4

  // Access is denied.
#define ERROR_ACCESS_DENIED      5

  // The handle is invalid.
#define ERROR_INVALID_HANDLE     6

  // The storage control blocks were destroyed.
#define ERROR_ARENA_TRASHED      7

  // Not enough storage is available to process this command.
#define ERROR_NOT_ENOUGH_MEMORY      8   // dderror

  // The storage control block address is invalid.
#define ERROR_INVALID_BLOCK      9

  // The environment is incorrect.
#define ERROR_BAD_ENVIRONMENT      10

  // An attempt was made to load a program with an incorrect format.
#define ERROR_BAD_FORMAT     11

  // The access code is invalid.
#define ERROR_INVALID_ACCESS     12

  // The data is invalid.
#define ERROR_INVALID_DATA     13

  // Not enough storage is available to complete this operation.
#define ERROR_OUTOFMEMORY      14

  // The system cannot find the drive specified.
#define ERROR_INVALID_DRIVE      15

  // The directory cannot be removed.
#define ERROR_CURRENT_DIRECTORY      $10

  // The system cannot move the file
  // to a different disk drive.
#define ERROR_NOT_SAME_DEVICE      17

  // There are no more files.
#define ERROR_NO_MORE_FILES      18

  // The media is write protected.
#define ERROR_WRITE_PROTECT      19

  // The system cannot find the device specified.
#define ERROR_BAD_UNIT     20

  // The device is not ready.
#define ERROR_NOT_READY      21

  // The device does not recognize the command.
#define ERROR_BAD_COMMAND      22

  // Data error (cyclic redundancy check)
#define ERROR_CRC      23

  // The program issued a command but the command length is incorrect.
#define ERROR_BAD_LENGTH     24

  // The drive cannot locate a specific area or track on the disk.
#define ERROR_SEEK     25

  // The specified disk or diskette cannot be accessed.
#define ERROR_NOT_DOS_DISK     26

  // The drive cannot find the sector requested.
#define ERROR_SECTOR_NOT_FOUND     27

  // The printer is out of paper.
#define ERROR_OUT_OF_PAPER     28

  // The system cannot write to the specified device.
#define ERROR_WRITE_FAULT      29

  // The system cannot read from the specified device.
#define ERROR_READ_FAULT     30

  // A device attached to the system is not functioning.
#define ERROR_GEN_FAILURE      31

  // The process cannot access the file because it is being used by another process.
#define ERROR_SHARING_VIOLATION      $20

  // The process cannot access the file because
  // another process has locked a portion of the file.
#define ERROR_LOCK_VIOLATION     33

  // The wrong diskette is in the drive. Insert %2 (Volume Serial Number: %3)
  // into drive %1.
#define ERROR_WRONG_DISK     34

  // Too many files opened for sharing.
#define ERROR_SHARING_BUFFER_EXCEEDED      36

  // Reached end of file.
#define ERROR_HANDLE_EOF     38

  // The disk is full.
#define ERROR_HANDLE_DISK_FULL     39

  // The network request is not supported.
#define ERROR_NOT_SUPPORTED      50

  // The remote computer is not available.
#define ERROR_REM_NOT_LIST     51

  // A duplicate name exists on the network.
#define ERROR_DUP_NAME     52

  // The network path was not found.
#define ERROR_BAD_NETPATH      53

  // The network is busy.
#define ERROR_NETWORK_BUSY     54

  // The specified network resource or device is no longer
  // available.
#define ERROR_DEV_NOT_EXIST      55   // dderror

  // The network BIOS command limit has been reached.
#define ERROR_TOO_MANY_CMDS      56

  // A network adapter hardware error occurred.
#define ERROR_ADAP_HDW_ERR     57

  // The specified server cannot perform the requested
  // operation.
#define ERROR_BAD_NET_RESP     58

  // An unexpected network error occurred.
#define ERROR_UNEXP_NET_ERR      59

  // The remote adapter is not compatible.
#define ERROR_BAD_REM_ADAP     60

  // The printer queue is full.
#define ERROR_PRINTQ_FULL      61

  // Space to store the file waiting to be printed is
  // not available on the server.
#define ERROR_NO_SPOOL_SPACE     62

  // Your file waiting to be printed was deleted.
#define ERROR_PRINT_CANCELLED      63

  // The specified network name is no longer available.
#define ERROR_NETNAME_DELETED      $40

  // Network access is denied.
#define ERROR_NETWORK_ACCESS_DENIED      65

  // The network resource type is not correct.
#define ERROR_BAD_DEV_TYPE     66

  // The network name cannot be found.
#define ERROR_BAD_NET_NAME     67

  // The name limit for the local computer network
  // adapter card was exceeded.
#define ERROR_TOO_MANY_NAMES     68

  // The network BIOS session limit was exceeded.
#define ERROR_TOO_MANY_SESS      69

  // The remote server has been paused or is in the
  // process of being started.
#define ERROR_SHARING_PAUSED     70

  // No more connections can be made to this remote computer at this time
  // because there are already as many connections as the computer can accept.
#define ERROR_REQ_NOT_ACCEP      71

  // The specified printer or disk device has been paused.
#define ERROR_REDIR_PAUSED     72

  // The file exists.
#define ERROR_FILE_EXISTS      80

  // The directory or file cannot be created.
#define ERROR_CANNOT_MAKE      82

  // Fail on INT 24
#define ERROR_FAIL_I24     83

  // Storage to process this request is not available.
#define ERROR_OUT_OF_STRUCTURES      84

  // The local device name is already in use.
#define ERROR_ALREADY_ASSIGNED     85

  // The specified network password is not correct.
#define ERROR_INVALID_PASSWORD     86

  // The parameter is incorrect.
#define ERROR_INVALID_PARAMETER      87   // dderror

  // A write fault occurred on the network.
#define ERROR_NET_WRITE_FAULT      88

  // The system cannot start another process at
  // this time.
#define ERROR_NO_PROC_SLOTS      89

  // Cannot create another system semaphore.
#define ERROR_TOO_MANY_SEMAPHORES      100

  // The exclusive semaphore is owned by another process.
#define ERROR_EXCL_SEM_ALREADY_OWNED     101

  // The semaphore is set and cannot be closed.
#define ERROR_SEM_IS_SET     102

  // The semaphore cannot be set again.
#define ERROR_TOO_MANY_SEM_REQUESTS      103

  // Cannot request exclusive semaphores at interrupt time.
#define ERROR_INVALID_AT_INTERRUPT_TIME      104

  // The previous ownership of this semaphore has ended.
#define ERROR_SEM_OWNER_DIED     105

  // Insert the diskette for drive %1.
#define ERROR_SEM_USER_LIMIT     106

  // Program stopped because alternate diskette was not inserted.
#define ERROR_DISK_CHANGE      107

  // The disk is in use or locked by
  // another process.
#define ERROR_DRIVE_LOCKED     108

  // The pipe has been ended.
#define ERROR_BROKEN_PIPE      109

  // The system cannot open the device or file specified.
#define ERROR_OPEN_FAILED      110

  // The file name is too long.
#define ERROR_BUFFER_OVERFLOW      111

  // There is not enough space on the disk.
#define ERROR_DISK_FULL      112

  // No more internal file identifiers available.
#define ERROR_NO_MORE_SEARCH_HANDLES     113

  // The target internal file identifier is incorrect.
#define ERROR_INVALID_TARGET_HANDLE      114

  // The IOCTL call made by the application program is not correct.
#define ERROR_INVALID_CATEGORY     117

  // The verify-on-write switch parameter value is not correct.
#define ERROR_INVALID_VERIFY_SWITCH      118

  // The system does not support the command requested.
#define ERROR_BAD_DRIVER_LEVEL     119

  // This function is only valid in Windows NT mode.
#define ERROR_CALL_NOT_IMPLEMENTED     120

  // The semaphore timeout period has expired.
#define ERROR_SEM_TIMEOUT      121

  // The data area passed to a system call is too small.
#define ERROR_INSUFFICIENT_BUFFER      122   // dderror

  // The filename, directory name, or volume label syntax is incorrect.
#define ERROR_INVALID_NAME     123

  // The system call level is not correct.
#define ERROR_INVALID_LEVEL      124

  // The disk has no volume label.
#define ERROR_NO_VOLUME_LABEL      125

  // The specified module could not be found.
#define ERROR_MOD_NOT_FOUND      126

  // The specified procedure could not be found.
#define ERROR_PROC_NOT_FOUND     127

  // There are no child processes to wait for.
#define ERROR_WAIT_NO_CHILDREN     $80

  // The %1 application cannot be run in Windows NT mode.
#define ERROR_CHILD_NOT_COMPLETE     129

  // Attempt to use a file handle to an open disk partition for an
  // operation other than raw disk I/O.
#define ERROR_DIRECT_ACCESS_HANDLE     130

  // An attempt was made to move the file pointer before the beginning of the file.
#define ERROR_NEGATIVE_SEEK      131

  // The file pointer cannot be set on the specified device or file.
#define ERROR_SEEK_ON_DEVICE     132

  // A JOIN or SUBST command
  // cannot be used for a drive that
  // contains previously joined drives.
#define ERROR_IS_JOIN_TARGET     133

  // An attempt was made to use a
  // JOIN or SUBST command on a drive that has
  // already been joined.
#define ERROR_IS_JOINED      134

  // An attempt was made to use a
  // JOIN or SUBST command on a drive that has
  // already been substituted.
#define ERROR_IS_SUBSTED     135

  // The system tried to delete
  // the JOIN of a drive that is not joined.
#define ERROR_NOT_JOINED     136

  // The system tried to delete the
  // substitution of a drive that is not substituted.
#define ERROR_NOT_SUBSTED      137

  // The system tried to join a drive to a directory on a joined drive.
#define ERROR_JOIN_TO_JOIN     138

  // The system tried to substitute a drive to a directory on a substituted drive.
#define ERROR_SUBST_TO_SUBST     139

  // The system tried to join a drive to a directory on a substituted drive.
#define ERROR_JOIN_TO_SUBST      140

  // The system tried to SUBST a drive to a directory on a joined drive.
#define ERROR_SUBST_TO_JOIN      141

  // The system cannot perform a JOIN or SUBST at this time.
#define ERROR_BUSY_DRIVE     142

  // The system cannot join or substitute a
  // drive to or for a directory on the same drive.
#define ERROR_SAME_DRIVE     143

  // The directory is not a subdirectory of the root directory.
#define ERROR_DIR_NOT_ROOT     144

  // The directory is not empty.
#define ERROR_DIR_NOT_EMPTY      145

  // The path specified is being used in a substitute.
#define ERROR_IS_SUBST_PATH      146

  // Not enough resources are available to process this command.
#define ERROR_IS_JOIN_PATH     147

  // The path specified cannot be used at this time.
#define ERROR_PATH_BUSY      148

  // An attempt was made to join or substitute a drive for which a directory
  // on the drive is the target of a previous substitute.
#define ERROR_IS_SUBST_TARGET      149

  // System trace information was not specified in your
  // CONFIG.SYS file, or tracing is disallowed.
#define ERROR_SYSTEM_TRACE     150

  // The number of specified semaphore events for
  // DosMuxSemWait is not correct.
#define ERROR_INVALID_EVENT_COUNT      151

  // DosMuxSemWait did not execute; too many semaphores
  // are already set.
#define ERROR_TOO_MANY_MUXWAITERS      152

  // The DosMuxSemWait list is not correct.
#define ERROR_INVALID_LIST_FORMAT      153

  //  The volume label you entered exceeds the label character
  //  limit of the target file system.
#define ERROR_LABEL_TOO_LONG     154

  // Cannot create another thread.
#define ERROR_TOO_MANY_TCBS      155

  // The recipient process has refused the signal.
#define ERROR_SIGNAL_REFUSED     156

  // The segment is already discarded and cannot be locked.
#define ERROR_DISCARDED      157

  // The segment is already unlocked.
#define ERROR_NOT_LOCKED     158

  // The address for the thread ID is not correct.
#define ERROR_BAD_THREADID_ADDR      159

  // The argument string passed to DosExecPgm is not correct.
#define ERROR_BAD_ARGUMENTS      160

  // The specified path is invalid.
#define ERROR_BAD_PATHNAME     161

  // A signal is already pending.
#define ERROR_SIGNAL_PENDING     162

  // No more threads can be created in the system.
#define ERROR_MAX_THRDS_REACHED      164

  // Unable to lock a region of a file.
#define ERROR_LOCK_FAILED      167

  // The requested resource is in use.
#define ERROR_BUSY     170

  // A lock request was not outstanding for the supplied cancel region.
#define ERROR_CANCEL_VIOLATION     173

  // The file system does not support atomic changes to the lock type.
#define ERROR_ATOMIC_LOCKS_NOT_SUPPORTED     174

  // The system detected a segment number that was not correct.
#define ERROR_INVALID_SEGMENT_NUMBER     180

  // The operating system cannot run %1.
#define ERROR_INVALID_ORDINAL      182

  // Cannot create a file when that file already exists.
#define ERROR_ALREADY_EXISTS     183

  // The flag passed is not correct.
#define ERROR_INVALID_FLAG_NUMBER      186

  // The specified system semaphore name was not found.
#define ERROR_SEM_NOT_FOUND      187

  // The operating system cannot run %1.
#define ERROR_INVALID_STARTING_CODESEG     188

  // The operating system cannot run %1.
#define ERROR_INVALID_STACKSEG     189

  // The operating system cannot run %1.
#define ERROR_INVALID_MODULETYPE     190

  // Cannot run %1 in Windows NT mode.
#define ERROR_INVALID_EXE_SIGNATURE      191

  // The operating system cannot run %1.
#define ERROR_EXE_MARKED_INVALID     192

  // %1 is not a valid Windows NT application.
#define ERROR_BAD_EXE_FORMAT     193

  // The operating system cannot run %1.
#define ERROR_ITERATED_DATA_EXCEEDS_64k      194

  // The operating system cannot run %1.
#define ERROR_INVALID_MINALLOCSIZE     195

  // The operating system cannot run this application program.
#define ERROR_DYNLINK_FROM_INVALID_RING      196

  // The operating system is not presently configured to run this application.
#define ERROR_IOPL_NOT_ENABLED     197

  // The operating system cannot run %1.
#define ERROR_INVALID_SEGDPL     198

  // The operating system cannot run this
  // application program.
#define ERROR_AUTODATASEG_EXCEEDS_64k      199

  // The code segment cannot be greater than or equal to 64KB.
#define ERROR_RING2SEG_MUST_BE_MOVABLE     200

  // The operating system cannot run %1.
#define ERROR_RELOC_CHAIN_XEEDS_SEGLIM     201

  // The operating system cannot run %1.
#define ERROR_INFLOOP_IN_RELOC_CHAIN     202

  // The system could not find the environment option that was entered.
#define ERROR_ENVVAR_NOT_FOUND     203

  // No process in the command subtree has a signal handler.
#define ERROR_NO_SIGNAL_SENT     205

  // The filename or extension is too long.
#define ERROR_FILENAME_EXCED_RANGE     206

  // The ring 2 stack is in use.
#define ERROR_RING2_STACK_IN_USE     207

  // The global filename characters, * or ?, are entered
  // incorrectly or too many global filename characters are specified.
#define ERROR_META_EXPANSION_TOO_LONG      208

  // The signal being posted is not correct.
#define ERROR_INVALID_SIGNAL_NUMBER      209

  // The signal handler cannot be set.
#define ERROR_THREAD_1_INACTIVE      210

  // The segment is locked and cannot be reallocated.
#define ERROR_LOCKED     212

  // Too many dynamic link modules are attached to this
  // program or dynamic link module.
#define ERROR_TOO_MANY_MODULES     214

  // Can't nest calls to LoadModule.
#define ERROR_NESTING_NOT_ALLOWED      215

  //  The image file %1 is valid, but is for a machine type other
  //  than the current machine.
#define ERROR_EXE_MACHINE_TYPE_MISMATCH      216

  // The pipe state is invalid.
#define ERROR_BAD_PIPE     230

  // All pipe instances are busy.
#define ERROR_PIPE_BUSY      231

  // The pipe is being closed.
#define ERROR_NO_DATA      232

  // No process is on the other end of the pipe.
#define ERROR_PIPE_NOT_CONNECTED     233

  // More data is available.
#define ERROR_MORE_DATA      234   // dderror

  // The session was cancelled.
#define ERROR_VC_DISCONNECTED      240

  // The specified extended attribute name was invalid.
#define ERROR_INVALID_EA_NAME      254

  // The extended attributes are inconsistent.
#define ERROR_EA_LIST_INCONSISTENT     255

  // No more data is available.
#define ERROR_NO_MORE_ITEMS      259

  // The Copy API cannot be used.
#define ERROR_CANNOT_COPY      266

  // The directory name is invalid.
#define ERROR_DIRECTORY      267

  // The extended attributes did not fit in the buffer.
#define ERROR_EAS_DIDNT_FIT      275

  // The extended attribute file on the mounted file system is corrupt.
#define ERROR_EA_FILE_CORRUPT      276

  // The extended attribute table file is full.
#define ERROR_EA_TABLE_FULL      277

  // The specified extended attribute handle is invalid.
#define ERROR_INVALID_EA_HANDLE      278

  // The mounted file system does not support extended attributes.
#define ERROR_EAS_NOT_SUPPORTED      282

  // Attempt to release mutex not owned by caller.
#define ERROR_NOT_OWNER      288

  // Too many posts were made to a semaphore.
#define ERROR_TOO_MANY_POSTS     298

  // Only part of a Read/WriteProcessMemory request was completed.
#define ERROR_PARTIAL_COPY     299

  // The system cannot find message for message number $%1
  // in message file for %2.
#define ERROR_MR_MID_NOT_FOUND     317

  // Attempt to access invalid address.
#define ERROR_INVALID_ADDRESS      487

  // Arithmetic result exceeded 32 bits.
#define ERROR_ARITHMETIC_OVERFLOW      534

  // There is a process on other end of the pipe.
#define ERROR_PIPE_CONNECTED     535

  // Waiting for a process to open the other end of the pipe.
#define ERROR_PIPE_LISTENING     536

  // Access to the extended attribute was denied.
#define ERROR_EA_ACCESS_DENIED     994

  // The I/O operation has been aborted because of either a thread exit
  // or an application request.
#define ERROR_OPERATION_ABORTED      995

  // Overlapped I/O event is not in a signalled state.
#define ERROR_IO_INCOMPLETE      996

  // Overlapped I/O operation is in progress.
#define ERROR_IO_PENDING     997   // dderror

  // Invalid access to memory location.
#define ERROR_NOACCESS     998

  // Error performing inpage operation.
#define ERROR_SWAPERROR      999

  // Recursion too deep, stack overflowed.
#define ERROR_STACK_OVERFLOW     1001

  // The window cannot act on the sent message.
#define ERROR_INVALID_MESSAGE      1002

  // Cannot complete this function.
#define ERROR_CAN_NOT_COMPLETE     1003

  // Invalid flags.
#define ERROR_INVALID_FLAGS      1004

  // The volume does not contain a recognized file system.
  // Please make sure that all required file system drivers are loaded and that the
  // volume is not corrupt.
#define ERROR_UNRECOGNIZED_VOLUME      1005

  // The volume for a file has been externally altered such that the
  // opened file is no longer valid.
#define ERROR_FILE_INVALID     1006

  // The requested operation cannot be performed in full-screen mode.
#define ERROR_FULLSCREEN_MODE      1007

  // An attempt was made to reference a token that does not exist.
#define ERROR_NO_TOKEN     1008

  // The configuration registry database is corrupt.
#define ERROR_BADDB      1009

  // The configuration registry key is invalid.
#define ERROR_BADKEY     1010

  // The configuration registry key could not be opened.
#define ERROR_CANTOPEN     1011

  // The configuration registry key could not be read.
#define ERROR_CANTREAD     1012

  // The configuration registry key could not be written.
#define ERROR_CANTWRITE      1013

  // One of the files in the Registry database had to be recovered
  // by use of a log or alternate copy.  The recovery was successful.
#define ERROR_REGISTRY_RECOVERED     1014

  // The Registry is corrupt. The structure of one of the files that contains
  // Registry data is corrupt, or the system's image of the file in memory
  // is corrupt, or the file could not be recovered because the alternate
  // copy or log was absent or corrupt.
#define ERROR_REGISTRY_CORRUPT     1015

  // An I/O operation initiated by the Registry failed unrecoverably.
  // The Registry could not read in, or write out, or flush, one of the files
  // that contain the system's image of the Registry.
#define ERROR_REGISTRY_IO_FAILED     1016

  // The system has attempted to load or restore a file into the Registry, but the
  // specified file is not in a Registry file format.
#define ERROR_NOT_REGISTRY_FILE      1017

  // Illegal operation attempted on a Registry key which has been marked for deletion.
#define ERROR_KEY_DELETED      1018

  // System could not allocate the required space in a Registry log.
#define ERROR_NO_LOG_SPACE     1019

  // Cannot create a symbolic link in a Registry key that already
  // has subkeys or values.
#define ERROR_KEY_HAS_CHILDREN     1020

  // Cannot create a stable subkey under a volatile parent key.
#define ERROR_CHILD_MUST_BE_VOLATILE     1021

  // A notify change request is being completed and the information
  // is not being returned in the caller's buffer. The caller now
  // needs to enumerate the files to find the changes.
#define ERROR_NOTIFY_ENUM_DIR      1022

  // A stop control has been sent to a service which other running services
  // are dependent on.
#define ERROR_DEPENDENT_SERVICES_RUNNING     1051

  // The requested control is not valid for this service
#define ERROR_INVALID_SERVICE_CONTROL      1052

  // The service did not respond to the start or control request in a timely
  // fashion.
#define ERROR_SERVICE_REQUEST_TIMEOUT      1053

  // A thread could not be created for the service.
#define ERROR_SERVICE_NO_THREAD      1054

  // The service database is locked.
#define ERROR_SERVICE_DATABASE_LOCKED      1055

  // An instance of the service is already running.
#define ERROR_SERVICE_ALREADY_RUNNING      1056

  // The account name is invalid or does not exist.
#define ERROR_INVALID_SERVICE_ACCOUNT      1057

  // The specified service is disabled and cannot be started.
#define ERROR_SERVICE_DISABLED     1058

  // Circular service dependency was specified.
#define ERROR_CIRCULAR_DEPENDENCY      1059

  // The specified service does not exist as an installed service.
#define ERROR_SERVICE_DOES_NOT_EXIST     1060

  // The service cannot accept control messages at this time.
#define ERROR_SERVICE_CANNOT_ACCEPT_CTRL     1061

  // The service has not been started.
#define ERROR_SERVICE_NOT_ACTIVE     1062

  // The service process could not connect to the service controller.
#define ERROR_FAILED_SERVICE_CONTROLLER_     1063

  // An exception occurred in the service when handling the control request.
#define ERROR_EXCEPTION_IN_SERVICE     1064

  // The database specified does not exist.
#define ERROR_DATABASE_DOES_NOT_EXIST      1065

  // The service has returned a service-specific error code.
#define ERROR_SERVICE_SPECIFIC_ERROR     1066

  // The process terminated unexpectedly.
#define ERROR_PROCESS_ABORTED      1067

  // The dependency service or group failed to start.
#define ERROR_SERVICE_DEPENDENCY_FAIL      1068

  // The service did not start due to a logon failure.
#define ERROR_SERVICE_LOGON_FAILED     1069

  // After starting, the service hung in a start-pending state.
#define ERROR_SERVICE_START_HANG     1070

  // The specified service database lock is invalid.
#define ERROR_INVALID_SERVICE_LOCK     1071

  // The specified service has been marked for deletion.
#define ERROR_SERVICE_MARKED_FOR_DELETE      1072

  // The specified service already exists.
#define ERROR_SERVICE_EXISTS     1073

  // The system is currently running with the last-known-good configuration.
#define ERROR_ALREADY_RUNNING_LKG      1074

  // The dependency service does not exist or has been marked for
  // deletion.
#define ERROR_SERVICE_DEPENDENCY_DELETED     1075

  // The current boot has already been accepted for use as the
  // last-known-good control set.
#define ERROR_BOOT_ALREADY_ACCEPTED      1076

  // No attempts to start the service have been made since the last boot.
#define ERROR_SERVICE_NEVER_STARTED      1077

  // The name is already in use as either a service name or a service display
  // name.
#define ERROR_DUPLICATE_SERVICE_NAME     1078

  //  The account specified for this service is different from the account
  //  specified for other services running in the same process.
#define ERROR_DIFFERENT_SERVICE_ACCOUNT      1079

  // The physical end of the tape has been reached.
#define ERROR_END_OF_MEDIA     1100

  // A tape access reached a filemark.
#define ERROR_FILEMARK_DETECTED      1101

  // Beginning of tape or partition was encountered.
#define ERROR_BEGINNING_OF_MEDIA     1102

  // A tape access reached the end of a set of files.
#define ERROR_SETMARK_DETECTED     1103

  // No more data is on the tape.
#define ERROR_NO_DATA_DETECTED     1104

  // Tape could not be partitioned.
#define ERROR_PARTITION_FAILURE      1105

  // When accessing a new tape of a multivolume partition, the current
  // blocksize is incorrect.
#define ERROR_INVALID_BLOCK_LENGTH     1106

  // Tape partition information could not be found when loading a tape.
#define ERROR_DEVICE_NOT_PARTITIONED     1107

  // Unable to lock the media eject mechanism.
#define ERROR_UNABLE_TO_LOCK_MEDIA     1108

  // Unable to unload the media.
#define ERROR_UNABLE_TO_UNLOAD_MEDIA     1109

  // Media in drive may have changed.
#define ERROR_MEDIA_CHANGED      1110

  // The I/O bus was reset.
#define ERROR_BUS_RESET      1111

  // No media in drive.
#define ERROR_NO_MEDIA_IN_DRIVE      1112

  // No mapping for the Unicode character exists in the target multi-byte code page.
#define ERROR_NO_UNICODE_TRANSLATION     1113

  // A dynamic link library (DLL) initialization routine failed.
#define ERROR_DLL_INIT_FAILED      1114

  // A system shutdown is in progress.
#define ERROR_SHUTDOWN_IN_PROGRESS     1115

  // Unable to abort the system shutdown because no shutdown was in progress.
#define ERROR_NO_SHUTDOWN_IN_PROGRESS      1116

  // The request could not be performed because of an I/O device error.
#define ERROR_IO_DEVICE      1117

  // No serial device was successfully initialized.  The serial driver will unload.
#define ERROR_SERIAL_NO_DEVICE     1118

  // Unable to open a device that was sharing an interrupt request (IRQ)
  // with other devices. At least one other device that uses that IRQ
  // was already opened.
#define ERROR_IRQ_BUSY     1119

  // A serial I/O operation was completed by another write to the serial port.
  // (The IOCTL_SERIAL_XOFF_COUNTER reached zero.)
#define ERROR_MORE_WRITES      1120

  // A serial I/O operation completed because the time-out period expired.
  // (The IOCTL_SERIAL_XOFF_COUNTER did not reach zero.)
#define ERROR_COUNTER_TIMEOUT      1121

  // No ID address mark was found on the floppy disk.
#define ERROR_FLOPPY_ID_MARK_NOT_FOUND     1122

  // Mismatch between the floppy disk sector ID field and the floppy disk
  // controller track address.
#define ERROR_FLOPPY_WRONG_CYLINDER      1123

  // The floppy disk controller reported an error that is not recognized
  // by the floppy disk driver.
#define ERROR_FLOPPY_UNKNOWN_ERROR     1124

  // The floppy disk controller returned inconsistent results in its registers.
#define ERROR_FLOPPY_BAD_REGISTERS     1125

  // While accessing the hard disk, a recalibrate operation failed, even after retries.
#define ERROR_DISK_RECALIBRATE_FAILED      1126

  // While accessing the hard disk, a disk operation failed even after retries.
#define ERROR_DISK_OPERATION_FAILED      1127

  // While accessing the hard disk, a disk controller reset was needed, but
  // even that failed.
#define ERROR_DISK_RESET_FAILED      1128

  // Physical end of tape encountered.
#define ERROR_EOM_OVERFLOW     1129

  // Not enough server storage is available to process this command.
#define ERROR_NOT_ENOUGH_SERVER_MEMORY     1130

  // A potential deadlock condition has been detected.
#define ERROR_POSSIBLE_DEADLOCK      1131

  // The base address or the file offset specified does not have the proper
  // alignment.
#define ERROR_MAPPED_ALIGNMENT     1132

  // An attempt to change the system power state was vetoed by another
  // application or driver.
#define ERROR_SET_POWER_STATE_VETOED     1140

  // The system BIOS failed an attempt to change the system power state.
#define ERROR_SET_POWER_STATE_FAILED     1141

  //  An attempt was made to create more links on a file than
  //  the file system supports.
#define ERROR_TOO_MANY_LINKS     1142

  // The specified program requires a newer version of Windows.
#define ERROR_OLD_WIN_VERSION      1150

  // The specified program is not a Windows or MS-DOS program.
#define ERROR_APP_WRONG_OS     1151

  // Cannot start more than one instance of the specified program.
#define ERROR_SINGLE_INSTANCE_APP      1152

  //  The specified program was written for an older version of Windows.
#define ERROR_RMODE_APP      1153

  // One of the library files needed to run this application is damaged.
#define ERROR_INVALID_DLL      1154

  // No application is associated with the specified file for this operation.
#define ERROR_NO_ASSOCIATION     1155

  // An error occurred in sending the command to the application.
#define ERROR_DDE_FAIL     1156

  // One of the library files needed to run this application cannot be found.
#define ERROR_DLL_NOT_FOUND      1157


// Winnet32 Status Codes

  // The specified username is invalid.
#define ERROR_BAD_USERNAME     2202

  // This network connection does not exist.
#define ERROR_NOT_CONNECTED      2250

  // This network connection has files open or requests pending.
#define ERROR_OPEN_FILES     2401

  // Active connections still exist.
#define ERROR_ACTIVE_CONNECTIONS     2402

  // The device is in use by an active process and cannot be disconnected.
#define ERROR_DEVICE_IN_USE      2404

  // The specified device name is invalid.
#define ERROR_BAD_DEVICE     1200

  // The device is not currently connected but it is a remembered connection.
#define ERROR_CONNECTION_UNAVAIL     1201

  // An attempt was made to remember a device that had previously been remembered.
#define ERROR_DEVICE_ALREADY_REMEMBERED      1202

  // No network provider accepted the given network path.
#define ERROR_NO_NET_OR_BAD_PATH     1203

  // The specified network provider name is invalid.
#define ERROR_BAD_PROVIDER     1204

  // Unable to open the network connection profile.
#define ERROR_CANNOT_OPEN_PROFILE      1205

  // The network connection profile is corrupt.
#define ERROR_BAD_PROFILE      1206

  // Cannot enumerate a non-container.
#define ERROR_NOT_CONTAINER      1207

  // An extended error has occurred.
#define ERROR_EXTENDED_ERROR     1208

  // The format of the specified group name is invalid.
#define ERROR_INVALID_GROUPNAME      1209

  // The format of the specified computer name is invalid.
#define ERROR_INVALID_COMPUTERNAME     1210

  // The format of the specified event name is invalid.
#define ERROR_INVALID_EVENTNAME      1211

  // The format of the specified domain name is invalid.
#define ERROR_INVALID_DOMAINNAME     1212

  // The format of the specified service name is invalid.
#define ERROR_INVALID_SERVICENAME      1213

  // The format of the specified network name is invalid.
#define ERROR_INVALID_NETNAME      1214

  // The format of the specified share name is invalid.
#define ERROR_INVALID_SHARENAME      1215

  // The format of the specified password is invalid.
#define ERROR_INVALID_PASSWORDNAME     1216

  // The format of the specified message name is invalid.
#define ERROR_INVALID_MESSAGENAME      1217

  // The format of the specified message destination is invalid.
#define ERROR_INVALID_MESSAGEDEST      1218

  // The credentials supplied conflict with an existing set of credentials.
#define ERROR_SESSION_CREDENTIAL_CONFLIC     1219

  // An attempt was made to establish a session to a network server, but there
  // are already too many sessions established to that server.
#define ERROR_REMOTE_SESSION_LIMIT_EXCEE     1220

  // The workgroup or domain name is already in use by another computer on the
  // network.
#define ERROR_DUP_DOMAINNAME     1221

  // The network is not present or not started.
#define ERROR_NO_NETWORK     1222

  // The operation was cancelled by the user.
#define ERROR_CANCELLED      1223

  // The requested operation cannot be performed on a file with a user mapped section open.
#define ERROR_USER_MAPPED_FILE     1224

  // The remote system refused the network connection.
#define ERROR_CONNECTION_REFUSED     1225

  // The network connection was gracefully closed.
#define ERROR_GRACEFUL_DISCONNECT      1226

  // The network transport endpoint already has an address associated with it.
#define ERROR_ADDRESS_ALREADY_ASSOCIATED     1227

  // An address has not yet been associated with the network endpoint.
#define ERROR_ADDRESS_NOT_ASSOCIATED     1228

  // An operation was attempted on a non-existent network connection.
#define ERROR_CONNECTION_INVALID     1229

  // An invalid operation was attempted on an active network connection.
#define ERROR_CONNECTION_ACTIVE      1230

  // The remote network is not reachable by the transport.
#define ERROR_NETWORK_UNREACHABLE      1231

  // The remote system is not reachable by the transport.
#define ERROR_HOST_UNREACHABLE     1232

  // The remote system does not support the transport protocol.
#define ERROR_PROTOCOL_UNREACHABLE     1233

  // No service is operating at the destination network endpoint
  // on the remote system.
#define ERROR_PORT_UNREACHABLE     1234

  // The request was aborted.
#define ERROR_REQUEST_ABORTED      1235

  // The network connection was aborted by the local system.
#define ERROR_CONNECTION_ABORTED     1236

  // The operation could not be completed.  A retry should be performed.
#define ERROR_RETRY      1237

  // A connection to the server could not be made because the limit on the number of
  // concurrent connections for this account has been reached.
#define ERROR_CONNECTION_COUNT_LIMIT     1238

  // Attempting to login during an unauthorized time of day for this account.
#define ERROR_LOGIN_TIME_RESTRICTION     1239

  // The account is not authorized to login from this station.
#define ERROR_LOGIN_WKSTA_RESTRICTION      1240

  // The network address could not be used for the operation requested.
#define ERROR_INCORRECT_ADDRESS      1241

  // The service is already registered.
#define ERROR_ALREADY_REGISTERED     1242

  // The specified service does not exist.
#define ERROR_SERVICE_NOT_FOUND      1243

  // The operation being requested was not performed because the user
  // has not been authenticated.
#define ERROR_NOT_AUTHENTICATED      1244

  // The operation being requested was not performed because the user
  // has not logged on to the network.
  // The specified service does not exist.
#define ERROR_NOT_LOGGED_ON      1245

  // Return that wants caller to continue with work in progress.
#define ERROR_CONTINUE     1246

  // An attempt was made to perform an initialization operation when
  // initialization has already been completed.
#define ERROR_ALREADY_INITIALIZED      1247

  // No more local devices.
#define ERROR_NO_MORE_DEVICES      1248


// Security Status Codes

  // Not all privileges referenced are assigned to the caller.
#define ERROR_NOT_ALL_ASSIGNED     1300

  // Some mapping between account names and security IDs was not done.
#define ERROR_SOME_NOT_MAPPED      1301

  // No system quota limits are specifically set for this account.
#define ERROR_NO_QUOTAS_FOR_ACCOUNT      1302

  // No encryption key is available.  A well-known encryption key was returned.
#define ERROR_LOCAL_USER_SESSION_KEY     1303

  // The NT password is too complex to be converted to a LAN Manager
  // password.  The LAN Manager password returned is a NULL string.
#define ERROR_NULL_LM_PASSWORD     1304

  // The revision level is unknown.
#define ERROR_UNKNOWN_REVISION     1305

  // Indicates two revision levels are incompatible.
#define ERROR_REVISION_MISMATCH      1306

  // This security ID may not be assigned as the owner of this object.
#define ERROR_INVALID_OWNER      1307

  // This security ID may not be assigned as the primary group of an object.
#define ERROR_INVALID_PRIMARY_GROUP      1308

  // An attempt has been made to operate on an impersonation token

  // by a thread that is not currently impersonating a client.
#define ERROR_NO_IMPERSONATION_TOKEN     1309

  // The group may not be disabled.
#define ERROR_CANT_DISABLE_MANDATORY     1310

  // There are currently no logon servers available to service the logon
  // request.
#define ERROR_NO_LOGON_SERVERS     1311

  //  A specified logon session does not exist.  It may already have
  //  been terminated.
#define ERROR_NO_SUCH_LOGON_SESSION      1312

  //  A specified privilege does not exist.
#define ERROR_NO_SUCH_PRIVILEGE      1313

  //  A required privilege is not held by the client.
#define ERROR_PRIVILEGE_NOT_HELD     1314

  // The name provided is not a properly formed account name.
#define ERROR_INVALID_ACCOUNT_NAME     1315

  // The specified user already exists.
#define ERROR_USER_EXISTS      1316

  // The specified user does not exist.
#define ERROR_NO_SUCH_USER     1317

  // The specified group already exists.
#define ERROR_GROUP_EXISTS     1318

  // The specified group does not exist.
#define ERROR_NO_SUCH_GROUP      1319

  // Either the specified user account is already a member of the specified
  // group, or the specified group cannot be deleted because it contains
  // a member.
#define ERROR_MEMBER_IN_GROUP      1320

  // The specified user account is not a member of the specified group account.
#define ERROR_MEMBER_NOT_IN_GROUP      1321

  // The last remaining administration account cannot be disabled
  // or deleted.
#define ERROR_LAST_ADMIN     1322

  // Unable to update the password.  The value provided as the current
  // password is incorrect.
#define ERROR_WRONG_PASSWORD     1323

  // Unable to update the password.  The value provided for the new password
  // contains values that are not allowed in passwords.
#define ERROR_ILL_FORMED_PASSWORD      1324

  // Unable to update the password because a password update rule has been
  // violated.
#define ERROR_PASSWORD_RESTRICTION     1325

  // Logon failure: unknown user name or bad password.
#define ERROR_LOGON_FAILURE      1326

  // Logon failure: user account restriction.
#define ERROR_ACCOUNT_RESTRICTION      1327

  // Logon failure: account logon time restriction violation.
#define ERROR_INVALID_LOGON_HOURS      1328

  // Logon failure: user not allowed to log on to this computer.
#define ERROR_INVALID_WORKSTATION      1329

  // Logon failure: the specified account password has expired.
#define ERROR_PASSWORD_EXPIRED     1330

  // Logon failure: account currently disabled.
#define ERROR_ACCOUNT_DISABLED     1331

  // No mapping between account names and security IDs was done.
#define ERROR_NONE_MAPPED      1332

  // Too many local user identifiers (LUIDs) were requested at one time.
#define ERROR_TOO_MANY_LUIDS_REQUESTED     1333

  // No more local user identifiers (LUIDs) are available.
#define ERROR_LUIDS_EXHAUSTED      1334

  // The subauthority part of a security ID is invalid for this particular use.
#define ERROR_INVALID_SUB_AUTHORITY      1335

  // The access control list (ACL) structure is invalid.
#define ERROR_INVALID_ACL      1336

  // The security ID structure is invalid.
#define ERROR_INVALID_SID      1337

  // The security descriptor structure is invalid.
#define ERROR_INVALID_SECURITY_DESCR     1338

  // The inherited access control list (ACL) or access control entry (ACE)
  // could not be built.
#define ERROR_BAD_INHERITANCE_ACL      1340

  // The server is currently disabled.
#define ERROR_SERVER_DISABLED      1341

  // The server is currently enabled.
#define ERROR_SERVER_NOT_DISABLED      1342

  // The value provided was an invalid value for an identifier authority.
#define ERROR_INVALID_ID_AUTHORITY     1343

  // No more memory is available for security information updates.
#define ERROR_ALLOTTED_SPACE_EXCEEDED      1344

  // The specified attributes are invalid, or incompatible with the

  // attributes for the group as a whole.
#define ERROR_INVALID_GROUP_ATTRIBUTES     1345

  // Either a required impersonation level was not provided, or the
  // provided impersonation level is invalid.
#define ERROR_BAD_IMPERSONATION_LEVEL      1346

  // Cannot open an anonymous level security token.
#define ERROR_CANT_OPEN_ANONYMOUS      1347

  // The validation information class requested was invalid.
#define ERROR_BAD_VALIDATION_CLASS     1348

  // The type of the token is inappropriate for its attempted use.
#define ERROR_BAD_TOKEN_TYPE     1349

  // Unable to perform a security operation on an object
  // which has no associated security.
#define ERROR_NO_SECURITY_ON_OBJECT      1350

  // Indicates a Windows NT Server could not be contacted or that
  // objects within the domain are protected such that necessary
  // information could not be retrieved.
#define ERROR_CANT_ACCESS_DOMAIN_INFO      1351

  // The security account manager (SAM) or local security
  // authority (LSA) server was in the wrong state to perform
  // the security operation.
#define ERROR_INVALID_SERVER_STATE     1352

  // The domain was in the wrong state to perform the security operation.
#define ERROR_INVALID_DOMAIN_STATE     1353

  // This operation is only allowed for the Primary Domain Controller of the domain.
#define ERROR_INVALID_DOMAIN_ROLE      1354

  // The specified domain did not exist.
#define ERROR_NO_SUCH_DOMAIN     1355

  // The specified domain already exists.
#define ERROR_DOMAIN_EXISTS      1356

  // An attempt was made to exceed the limit on the number of domains per server.
#define ERROR_DOMAIN_LIMIT_EXCEEDED      1357

  // Unable to complete the requested operation because of either a
  // catastrophic media failure or a data structure corruption on the disk.
#define ERROR_INTERNAL_DB_CORRUPTION     1358

  // The security account database contains an internal inconsistency.
#define ERROR_INTERNAL_ERROR     1359

  // Generic access types were contained in an access mask which should
  // already be mapped to non-generic types.
#define ERROR_GENERIC_NOT_MAPPED     1360

  // A security descriptor is not in the right format (absolute or self-relative).
#define ERROR_BAD_DESCRIPTOR_FORMAT      1361

  // The requested action is restricted for use by logon processes
  // only.  The calling process has not registered as a logon process.
#define ERROR_NOT_LOGON_PROCESS      1362

  // Cannot start a new logon session with an ID that is already in use.
#define ERROR_LOGON_SESSION_EXISTS     1363

  // A specified authentication package is unknown.
#define ERROR_NO_SUCH_PACKAGE      1364

  // The logon session is not in a state that is consistent with the
  // requested operation.
#define ERROR_BAD_LOGON_SESSION_STATE      1365

  // The logon session ID is already in use.
#define ERROR_LOGON_SESSION_COLLISION      1366

  // A logon request contained an invalid logon type value.
#define ERROR_INVALID_LOGON_TYPE     1367

  // Unable to impersonate via a named pipe until data has been read
  // from that pipe.
#define ERROR_CANNOT_IMPERSONATE     1368

  // The transaction state of a Registry subtree is incompatible with the
  // requested operation.
#define ERROR_RXACT_INVALID_STATE      1369

  // An internal security database corruption has been encountered.
#define ERROR_RXACT_COMMIT_FAILURE     1370

  // Cannot perform this operation on built-in accounts.
#define ERROR_SPECIAL_ACCOUNT      1371

  // Cannot perform this operation on this built-in special group.
#define ERROR_SPECIAL_GROUP      1372

  // Cannot perform this operation on this built-in special user.
#define ERROR_SPECIAL_USER     1373

  // The user cannot be removed from a group because the group
  // is currently the user's primary group.
#define ERROR_MEMBERS_PRIMARY_GROUP      1374

  // The token is already in use as a primary token.
#define ERROR_TOKEN_ALREADY_IN_USE     1375

  // The specified local group does not exist.
#define ERROR_NO_SUCH_ALIAS      1376

  // The specified account name is not a member of the local group.
#define ERROR_MEMBER_NOT_IN_ALIAS      1377

  // The specified account name is already a member of the local group.
#define ERROR_MEMBER_IN_ALIAS      1378

  // The specified local group already exists.
#define ERROR_ALIAS_EXISTS     1379

  // Logon failure: the user has not been granted the requested
  // logon type at this computer.
#define ERROR_LOGON_NOT_GRANTED      1380

  // The maximum number of secrets that may be stored in a single system has been
  // exceeded.
#define ERROR_TOO_MANY_SECRETS     1381

  // The length of a secret exceeds the maximum length allowed.
#define ERROR_SECRET_TOO_LONG      1382

  // The local security authority database contains an internal inconsistency.
#define ERROR_INTERNAL_DB_ERROR      1383

  // During a logon attempt, the user's security context accumulated too many
  // security IDs.
#define ERROR_TOO_MANY_CONTEXT_IDS     1384

  // Logon failure: the user has not been granted the requested logon type
  // at this computer.
#define ERROR_LOGON_TYPE_NOT_GRANTED     1385

  // A cross-encrypted password is necessary to change a user password.
#define ERROR_NT_CROSS_ENCRYPTION_REQUIR     1386

  // A new member could not be added to a local group because the member does
  // not exist.
#define ERROR_NO_SUCH_MEMBER     1387

  // A new member could not be added to a local group because the member has the
  // wrong account type.
#define ERROR_INVALID_MEMBER     1388

  // Too many security IDs have been specified.
#define ERROR_TOO_MANY_SIDS      1389

  // A cross-encrypted password is necessary to change this user password.
#define ERROR_LM_CROSS_ENCRYPTION_REQUIR     1390

  // Indicates an TACL contains no inheritable components
#define ERROR_NO_INHERITANCE     1391

  // The file or directory is corrupt and non-readable.
#define ERROR_FILE_CORRUPT     1392

  // The disk structure is corrupt and non-readable.
#define ERROR_DISK_CORRUPT     1393

  // There is no user session key for the specified logon session.
#define ERROR_NO_USER_SESSION_KEY      1394

  // The service being accessed is licensed for a particular number of connections.
  // No more connections can be made to the service at this time
  // because there are already as many connections as the service can accept.
#define ERROR_LICENSE_QUOTA_EXCEEDED     1395


// WinUser Error Codes

  // Invalid window handle.
#define ERROR_INVALID_WINDOW_HANDLE      1400

  // Invalid menu handle.
#define ERROR_INVALID_MENU_HANDLE      1401

  // Invalid cursor handle.
#define ERROR_INVALID_CURSOR_HANDLE      1402

  // Invalid accelerator table handle.
#define ERROR_INVALID_ACCEL_HANDLE     1403

  // Invalid hook handle.
#define ERROR_INVALID_HOOK_HANDLE      1404

  // Invalid handle to a multiple-window position structure.
#define ERROR_INVALID_DWP_HANDLE     1405

  // Cannot create a top-level child window.
#define ERROR_TLW_WITH_WSCHILD     1406

  // Cannot find window class.
#define ERROR_CANNOT_FIND_WND_CLASS      1407

  // Invalid window, belongs to other thread.
#define ERROR_WINDOW_OF_OTHER_THREAD     1408

  // Hot key is already registered.
#define ERROR_HOTKEY_ALREADY_REGISTERED      1409

  // Class already exists.
#define ERROR_CLASS_ALREADY_EXISTS     1410

  // Class does not exist.
#define ERROR_CLASS_DOES_NOT_EXIST     1411

  // Class still has open windows.
#define ERROR_CLASS_HAS_WINDOWS      1412

  // Invalid index.
#define ERROR_INVALID_INDEX      1413

  // Invalid icon handle.
#define ERROR_INVALID_ICON_HANDLE      1414

  // Using private DIALOG window words.
#define ERROR_PRIVATE_DIALOG_INDEX     1415

  // The listbox identifier was not found.
#define ERROR_LISTBOX_ID_NOT_FOUND     1416

  // No wildcards were found.
#define ERROR_NO_WILDCARD_CHARACTERS     1417

  // Thread does not have a clipboard open.
#define ERROR_CLIPBOARD_NOT_OPEN     1418

  // Hot key is not registered.
#define ERROR_HOTKEY_NOT_REGISTERED      1419

  // The window is not a valid dialog window.
#define ERROR_WINDOW_NOT_DIALOG      1420

  // Control ID not found.
#define ERROR_CONTROL_ID_NOT_FOUND     1421

  // Invalid message for a combo box because it does not have an edit control.
#define ERROR_INVALID_COMBOBOX_MESSAGE     1422

  // The window is not a combo box.
#define ERROR_WINDOW_NOT_COMBOBOX      1423

  // Height must be less than 256.
#define ERROR_INVALID_EDIT_HEIGHT      1424

  // Invalid device context (DC) handle.
#define ERROR_DC_NOT_FOUND     1425

  // Invalid hook procedure type.
#define ERROR_INVALID_HOOK_FILTER      1426

  // Invalid hook procedure.
#define ERROR_INVALID_FILTER_PROC      1427

  // Cannot set non-local hook without a module handle.
#define ERROR_HOOK_NEEDS_HMOD      1428

  // This hook procedure can only be set globally.
#define ERROR_GLOBAL_ONLY_HOOK     1429

  // The journal hook procedure is already installed.
#define ERROR_JOURNAL_HOOK_SET     1430

  // The hook procedure is not installed.
#define ERROR_HOOK_NOT_INSTALLED     1431

  // Invalid message for single-selection listbox.
#define ERROR_INVALID_LB_MESSAGE     1432

  // LB_SETCOUNT sent to non-lazy listbox.
#define ERROR_SETCOUNT_ON_BAD_LB     1433

  // This list box does not support tab stops.
#define ERROR_LB_WITHOUT_TABSTOPS      1434

  // Cannot destroy object created by another thread.
#define ERROR_DESTROY_OBJECT_OF_OTHER_TH     1435

  // Child windows cannot have menus.
#define ERROR_CHILD_WINDOW_MENU      1436

  // The window does not have a system menu.
#define ERROR_NO_SYSTEM_MENU     1437

  // Invalid message box style.
#define ERROR_INVALID_MSGBOX_STYLE     1438

  // Invalid system-wide (SPI_*) parameter.
#define ERROR_INVALID_SPI_VALUE      1439

  // Screen already locked.
#define ERROR_SCREEN_ALREADY_LOCKED      1440

  // All handles to windows in a multiple-window position structure must
  // have the same parent.
#define ERROR_HWNDS_HAVE_DIFF_PARENT     1441

  // The window is not a child window.
#define ERROR_NOT_CHILD_WINDOW     1442

  // Invalid GW_* command.
#define ERROR_INVALID_GW_COMMAND     1443

  // Invalid thread identifier.
#define ERROR_INVALID_THREAD_ID      1444

  // Cannot process a message from a window that is not a multiple document
  // interface (MDI) window.
#define ERROR_NON_MDICHILD_WINDOW      1445

  // Popup menu already active.
#define ERROR_POPUP_ALREADY_ACTIVE     1446

  // The window does not have scroll bars.
#define ERROR_NO_SCROLLBARS      1447

  // Scroll bar range cannot be greater than $7FFF.
#define ERROR_INVALID_SCROLLBAR_RANGE      1448

  // Cannot show or remove the window in the way specified.
#define ERROR_INVALID_SHOWWIN_COMMAND      1449

  // Insufficient system resources exist to complete the requested service.
#define ERROR_NO_SYSTEM_RESOURCES      1450

  // Insufficient system resources exist to complete the requested service.
#define ERROR_NONPAGED_SYSTEM_RESOURCES      1451

  // Insufficient system resources exist to complete the requested service.
#define ERROR_PAGED_SYSTEM_RESOURCES     1452

  // Insufficient quota to complete the requested service.
#define ERROR_WORKING_SET_QUOTA      1453

  // Insufficient quota to complete the requested service.
#define ERROR_PAGEFILE_QUOTA     1454

  // The paging file is too small for this operation to complete.
#define ERROR_COMMITMENT_LIMIT     1455

  // A menu item was not found.
#define ERROR_MENU_ITEM_NOT_FOUND      1456

  // Invalid keyboard layout handle.
#define ERROR_INVALID_KEYBOARD_HANDLE      1457

  // Hook type not allowed.
#define ERROR_HOOK_TYPE_NOT_ALLOWED      1458

  // This operation requires an interactive windowstation.
#define ERROR_REQUIRES_INTERACTIVE_WINDOWSTATION     1459

  // This operation returned because the timeout period expired.
#define ERROR_TIMEOUT      1460


// Eventlog Status Codes

  // The event log file is corrupt.
#define ERROR_EVENTLOG_FILE_CORRUPT      1500

  // No event log file could be opened, so the event logging service did not start.
#define ERROR_EVENTLOG_CANT_START      1501

  // The event log file is full.
#define ERROR_LOG_FILE_FULL      1502

  // The event log file has changed between reads.
#define ERROR_EVENTLOG_FILE_CHANGED      1503


// RPC Status Codes

  // The string binding is invalid.
#define RPC_S_INVALID_STRING_BINDING     1700

  // The binding handle is not the correct type.
#define RPC_S_WRONG_KIND_OF_BINDING      1701

  // The binding handle is invalid.
#define RPC_S_INVALID_BINDING      1702

  // The RPC protocol sequence is not supported.
#define RPC_S_PROTSEQ_NOT_SUPPORTED      1703

  // The RPC protocol sequence is invalid.
#define RPC_S_INVALID_RPC_PROTSEQ      1704

  // The string universal unique identifier (UUID) is invalid.
#define RPC_S_INVALID_STRING_UUID      1705

  // The endpoint format is invalid.
#define RPC_S_INVALID_ENDPOINT_FORMAT      1706

  // The network address is invalid.
#define RPC_S_INVALID_NET_ADDR     1707

  // No endpoint was found.
#define RPC_S_NO_ENDPOINT_FOUND      1708

  // The timeout value is invalid.
#define RPC_S_INVALID_TIMEOUT      1709

  // The object universal unique identifier (UUID) was not found.
#define RPC_S_OBJECT_NOT_FOUND     1710

  // The object universal unique identifier (UUID) has already been registered.
#define RPC_S_ALREADY_REGISTERED     1711

  // The type universal unique identifier (UUID) has already been registered.
#define RPC_S_TYPE_ALREADY_REGISTERED      1712

  // The RPC server is already listening.
#define RPC_S_ALREADY_LISTENING      1713

  // No protocol sequences have been registered.
#define RPC_S_NO_PROTSEQS_REGISTERED     1714

  // The RPC server is not listening.
#define RPC_S_NOT_LISTENING      1715

  // The manager type is unknown.
#define RPC_S_UNKNOWN_MGR_TYPE     1716

  // The interface is unknown.
#define RPC_S_UNKNOWN_IF     1717

  // There are no bindings.
#define RPC_S_NO_BINDINGS      1718

  // There are no protocol sequences.
#define RPC_S_NO_PROTSEQS      1719

  // The endpoint cannot be created.
#define RPC_S_CANT_CREATE_ENDPOINT     1720

  // Not enough resources are available to complete this operation.
#define RPC_S_OUT_OF_RESOURCES     1721

  // The RPC server is unavailable.
#define RPC_S_SERVER_UNAVAILABLE     1722

  // The RPC server is too busy to complete this operation.
#define RPC_S_SERVER_TOO_BUSY      1723

  // The network options are invalid.
#define RPC_S_INVALID_NETWORK_OPTIONS      1724

  // There is not a remote procedure call active in this thread.
#define RPC_S_NO_CALL_ACTIVE     1725

  // The remote procedure call failed.
#define RPC_S_CALL_FAILED      1726

  // The remote procedure call failed and did not execute.
#define RPC_S_CALL_FAILED_DNE      1727

  // A remote procedure call (RPC) protocol error occurred.
#define RPC_S_PROTOCOL_ERROR     1728

  // The transfer syntax is not supported by the RPC server.
#define RPC_S_UNSUPPORTED_TRANS_SYN      1730

  // The universal unique identifier (UUID) type is not supported.
#define RPC_S_UNSUPPORTED_TYPE     1732

  // The tag is invalid.
#define RPC_S_INVALID_TAG      1733

  // The array bounds are invalid.
#define RPC_S_INVALID_BOUND      1734

  // The binding does not contain an entry name.
#define RPC_S_NO_ENTRY_NAME      1735

  // The name syntax is invalid.
#define RPC_S_INVALID_NAME_SYNTAX      1736

  // The name syntax is not supported.
#define RPC_S_UNSUPPORTED_NAME_SYNTAX      1737

  // No network address is available to use to construct a universal

  // unique identifier (UUID).
#define RPC_S_UUID_NO_ADDRESS      1739

  // The endpoint is a duplicate.
#define RPC_S_DUPLICATE_ENDPOINT     1740

  // The authentication type is unknown.
#define RPC_S_UNKNOWN_AUTHN_TYPE     1741

  // The maximum number of calls is too small.
#define RPC_S_MAX_CALLS_TOO_SMALL      1742

  // The string is too long.
#define RPC_S_STRING_TOO_LONG      1743

  // The RPC protocol sequence was not found.
#define RPC_S_PROTSEQ_NOT_FOUND      1744

  // The procedure number is out of range.
#define RPC_S_PROCNUM_OUT_OF_RANGE     1745

  // The binding does not contain any authentication information.
#define RPC_S_BINDING_HAS_NO_AUTH      1746

  // The authentication service is unknown.
#define RPC_S_UNKNOWN_AUTHN_SERVICE      1747

  // The authentication level is unknown.
#define RPC_S_UNKNOWN_AUTHN_LEVEL      1748

  // The security context is invalid.
#define RPC_S_INVALID_AUTH_IDENTITY      1749

  // The authorization service is unknown.
#define RPC_S_UNKNOWN_AUTHZ_SERVICE      1750

  // The entry is invalid.
#define EPT_S_INVALID_ENTRY      1751

  // The server endpoint cannot perform the operation.
#define EPT_S_CANT_PERFORM_OP      1752

  // There are no more endpoints available from the endpoint mapper.
#define EPT_S_NOT_REGISTERED     1753

  // No interfaces have been exported.
#define RPC_S_NOTHING_TO_EXPORT      1754

  // The entry name is incomplete.
#define RPC_S_INCOMPLETE_NAME      1755

  // The version option is invalid.
#define RPC_S_INVALID_VERS_OPTION      1756

  // There are no more members.
#define RPC_S_NO_MORE_MEMBERS      1757

  // There is nothing to unexport.
#define RPC_S_NOT_ALL_OBJS_UNEXPORTED      1758

  // The interface was not found.
#define RPC_S_INTERFACE_NOT_FOUND      1759

  // The entry already exists.
#define RPC_S_ENTRY_ALREADY_EXISTS     1760

  // The entry is not found.
#define RPC_S_ENTRY_NOT_FOUND      1761

  // The name service is unavailable.
#define RPC_S_NAME_SERVICE_UNAVAILABLE     1762

  // The network address family is invalid.
#define RPC_S_INVALID_NAF_ID     1763

  // The requested operation is not supported.
#define RPC_S_CANNOT_SUPPORT     1764

  // No security context is available to allow impersonation.
#define RPC_S_NO_CONTEXT_AVAILABLE     1765

  // An internal error occurred in a remote procedure call (RPC).
#define RPC_S_INTERNAL_ERROR     1766

  // The RPC server attempted an integer division by zero.
#define RPC_S_ZERO_DIVIDE      1767

  // An addressing error occurred in the RPC server.
#define RPC_S_ADDRESS_ERROR      1768

  // A floating-point operation at the RPC server caused a division by zero.
#define RPC_S_FP_DIV_ZERO      1769

  // A floating-point underflow occurred at the RPC server.
#define RPC_S_FP_UNDERFLOW     1770

  // A floating-point overflow occurred at the RPC server.
#define RPC_S_FP_OVERFLOW      1771

  // The list of RPC servers available for the binding of auto handles
  // has been exhausted.
#define RPC_X_NO_MORE_ENTRIES      1772

  // Unable to open the character translation table file.
#define RPC_X_SS_CHAR_TRANS_OPEN_FAIL      1773

  // The file containing the character translation table has fewer than
  // 512 bytes.
#define RPC_X_SS_CHAR_TRANS_SHORT_FILE     1774

  // A null context handle was passed from the client to the host during
  // a remote procedure call.
#define RPC_X_SS_IN_NULL_CONTEXT     1775

  // The context handle changed during a remote procedure call.
#define RPC_X_SS_CONTEXT_DAMAGED     1777

  // The binding handles passed to a remote procedure call do not match.
#define RPC_X_SS_HANDLES_MISMATCH      1778

  // The stub is unable to get the remote procedure call handle.
#define RPC_X_SS_CANNOT_GET_CALL_HANDLE      1779

  // A null reference pointer was passed to the stub.
#define RPC_X_NULL_REF_POINTER     1780

  // The enumeration value is out of range.
#define RPC_X_ENUM_VALUE_OUT_OF_RANGE      1781

  // The byte count is too small.
#define RPC_X_BYTE_COUNT_TOO_SMALL     1782

  // The stub received bad data.
#define RPC_X_BAD_STUB_DATA      1783

  // The supplied user buffer is not valid for the requested operation.
#define ERROR_INVALID_USER_BUFFER      1784

  // The disk media is not recognized.  It may not be formatted.
#define ERROR_UNRECOGNIZED_MEDIA     1785

  // The workstation does not have a trust secret.
#define ERROR_NO_TRUST_LSA_SECRET      1786

  // The SAM database on the Windows NT Server does not have a computer
  // account for this workstation trust relationship.
#define ERROR_NO_TRUST_SAM_ACCOUNT     1787

  // The trust relationship between the primary domain and the trusted
  // domain failed.
#define ERROR_TRUSTED_DOMAIN_FAILURE     1788

  // The trust relationship between this workstation and the primary
  // domain failed.
#define ERROR_TRUSTED_RELATIONSHIP_FAILU     1789

  // The network logon failed.
#define ERROR_TRUST_FAILURE      1790

  // A remote procedure call is already in progress for this thread.
#define RPC_S_CALL_IN_PROGRESS     1791

  // An attempt was made to logon, but the network logon service was not started.
#define ERROR_NETLOGON_NOT_STARTED     1792

  // The user's account has expired.
#define ERROR_ACCOUNT_EXPIRED      1793

  // The redirector is in use and cannot be unloaded.
#define ERROR_REDIRECTOR_HAS_OPEN_HANDLE     1794

  // The specified printer driver is already installed.
#define ERROR_PRINTER_DRIVER_ALREADY_INS     1795

  // The specified port is unknown.
#define ERROR_UNKNOWN_PORT     1796

  // The printer driver is unknown.
#define ERROR_UNKNOWN_PRINTER_DRIVER     1797

  // The print processor is unknown.
#define ERROR_UNKNOWN_PRINTPROCESSOR     1798

  // The specified separator file is invalid.
#define ERROR_INVALID_SEPARATOR_FILE     1799

  // The specified priority is invalid.
#define ERROR_INVALID_PRIORITY     1800

  // The printer name is invalid.
#define ERROR_INVALID_PRINTER_NAME     1801

  // The printer already exists.
#define ERROR_PRINTER_ALREADY_EXISTS     1802

  // The printer command is invalid.
#define ERROR_INVALID_PRINTER_COMMAND      1803

  // The specified datatype is invalid.
#define ERROR_INVALID_DATATYPE     1804

  // The Environment specified is invalid.
#define ERROR_INVALID_ENVIRONMENT      1805

  // There are no more bindings.
#define RPC_S_NO_MORE_BINDINGS     1806

  // The account used is an interdomain trust account.  Use your global user account or local user account to access this server.
#define ERROR_NOLOGON_INTERDOMAIN_TRUST_     1807

  // The account used is a Computer Account.  Use your global user account or local user account to access this server.
#define ERROR_NOLOGON_WORKSTATION_TRUST_     1808

  // The account used is an server trust account.  Use your global user account or local user account to access this server.
#define ERROR_NOLOGON_SERVER_TRUST_ACCOU     1809

  // The name or security ID (SID) of the domain specified is inconsistent
  // with the trust information for that domain.
#define ERROR_DOMAIN_TRUST_INCONSISTENT      1810

  // The server is in use and cannot be unloaded.
#define ERROR_SERVER_HAS_OPEN_HANDLES      1811

  // The specified image file did not contain a resource section.
#define ERROR_RESOURCE_DATA_NOT_FOUND      1812

  // The specified resource type can not be found in the image file.
#define ERROR_RESOURCE_TYPE_NOT_FOUND      1813

  // The specified resource name can not be found in the image file.
#define ERROR_RESOURCE_NAME_NOT_FOUND      1814

  // The specified resource language ID cannot be found in the image file.
#define ERROR_RESOURCE_LANG_NOT_FOUND      1815

  // Not enough quota is available to process this command.
#define ERROR_NOT_ENOUGH_QUOTA     1816

  // No interfaces have been registered.
#define RPC_S_NO_INTERFACES      1817

  // The server was altered while processing this call.
#define RPC_S_CALL_CANCELLED     1818

  // The binding handle does not contain all required information.
#define RPC_S_BINDING_INCOMPLETE     1819

  // Communications failure.
#define RPC_S_COMM_FAILURE     1820

  // The requested authentication level is not supported.
#define RPC_S_UNSUPPORTED_AUTHN_LEVEL      1821

  // No principal name registered.
#define RPC_S_NO_PRINC_NAME      1822

  // The error specified is not a valid Windows NT RPC error code.
#define RPC_S_NOT_RPC_ERROR      1823

  // A UUID that is valid only on this computer has been allocated.
#define RPC_S_UUID_LOCAL_ONLY      1824

  // A security package specific error occurred.
#define RPC_S_SEC_PKG_ERROR      1825

  // Thread is not cancelled.
#define RPC_S_NOT_CANCELLED      1826

  // Invalid operation on the encoding/decoding handle.
#define RPC_X_INVALID_ES_ACTION      1827

  // Incompatible version of the serializing package.
#define RPC_X_WRONG_ES_VERSION     1828

  // Incompatible version of the RPC stub.
#define RPC_X_WRONG_STUB_VERSION     1829

  // The idl pipe object is invalid or corrupted.
#define RPC_X_INVALID_PIPE_OBJECT      1830

  // The operation is invalid for a given idl pipe object.
#define RPC_X_INVALID_PIPE_OPERATION     1831

  // The idl pipe version is not supported.
#define RPC_X_WRONG_PIPE_VERSION     1832

  // The group member was not found.
#define RPC_S_GROUP_MEMBER_NOT_FOUND     1898

  // The endpoint mapper database could not be created.
#define EPT_S_CANT_CREATE      1899

  // The object universal unique identifier (UUID) is the nil UUID.
#define RPC_S_INVALID_OBJECT     1900

  // The specified time is invalid.
#define ERROR_INVALID_TIME     1901

  // The specified Form name is invalid.
#define ERROR_INVALID_FORM_NAME      1902

  // The specified Form size is invalid
#define ERROR_INVALID_FORM_SIZE      1903

  // The specified Printer handle is already being waited on
#define ERROR_ALREADY_WAITING      1904

  // The specified Printer has been deleted
#define ERROR_PRINTER_DELETED      1905

  // The state of the Printer is invalid
#define ERROR_INVALID_PRINTER_STATE      1906

  // The user must change his password before he logs on the first time.
#define ERROR_PASSWORD_MUST_CHANGE     1907

  // Could not find the domain controller for this domain.
#define ERROR_DOMAIN_CONTROLLER_NOT_FOUN     1908

  // The referenced account is currently locked out and may not be logged on to.
#define ERROR_ACCOUNT_LOCKED_OUT     1909

  // The object exporter specified was not found.
#define OR_INVALID_OXID      1910

  // The object specified was not found.
#define OR_INVALID_OID     1911

  // The object resolver set specified was not found.
#define OR_INVALID_SET     1912

  // Some data remains to be sent in the request buffer.
#define RPC_S_SEND_INCOMPLETE      1913

  // The list of servers for this workgroup is not currently available
#define ERROR_NO_BROWSER_SERVERS_FOUND     6118


// OpenGL Error Code

  // The pixel format is invalid.
#define ERROR_INVALID_PIXEL_FORMAT     2000

  // The specified driver is invalid.
#define ERROR_BAD_DRIVER     2001

  // The window style or class attribute is invalid for this operation.
#define ERROR_INVALID_WINDOW_STYLE     2002

  // The requested metafile operation is not supported.
#define ERROR_METAFILE_NOT_SUPPORTED     2003

  // The requested transformation operation is not supported.
#define ERROR_TRANSFORM_NOT_SUPPORTED      2004

  // The requested clipping operation is not supported.
#define ERROR_CLIPPING_NOT_SUPPORTED     2005


// Win32 Spooler Error Codes

  // The specified print monitor is unknown.
#define ERROR_UNKNOWN_PRINT_MONITOR      3000

  // The specified printer driver is currently in use.
#define ERROR_PRINTER_DRIVER_IN_USE      3001

  // The spool file was not found.
#define ERROR_SPOOL_FILE_NOT_FOUND     3002

  // A StartDocPrinter call was not issued.
#define ERROR_SPL_NO_STARTDOC      3003

  // An AddJob call was not issued.
#define ERROR_SPL_NO_ADDJOB      3004

  // The specified print processor has already been installed.
#define ERROR_PRINT_PROCESSOR_ALREADY_INSTALLED      3005

  // The specified print monitor has already been installed.
#define ERROR_PRINT_MONITOR_ALREADY_INSTALLED      3006

  // The specified print monitor does not have the required functions.
#define ERROR_INVALID_PRINT_MONITOR      3007

  // The specified print monitor is currently in use.
#define ERROR_PRINT_MONITOR_IN_USE     3008

  // The requested operation is not allowed when there are jobs queued to the printer.
#define ERROR_PRINTER_HAS_JOBS_QUEUED      3009

  // The requested operation is successful.  Changes will not be effective until the system is rebooted.
#define ERROR_SUCCESS_REBOOT_REQUIRED      3010

  // The requested operation is successful.  Changes will not be effective until the service is restarted.
#define ERROR_SUCCESS_RESTART_REQUIRED     3011


// Wins Error Codes

  // WINS encountered an error while processing the command.
#define ERROR_WINS_INTERNAL      4000

  // The local WINS can not be deleted.
#define ERROR_CAN_NOT_DEL_LOCAL_WINS     4001

  // The importation from the file failed.
#define ERROR_STATIC_INIT      4002

  // The backup Failed.  Was a full backup done before ?
#define ERROR_INC_BACKUP     4003

  // The backup Failed.  Check the directory that you are backing the database to.
#define ERROR_FULL_BACKUP      4004

  // The name does not exist in the WINS database.
#define ERROR_REC_NON_EXISTENT     4005

  // Replication with a non-configured partner is not allowed.
#define ERROR_RPL_NOT_ALLOWED      4006