// $Header: /MeWin32/SH/remote.sh 4     1/12/99 1:59p Dan $

// Remote
#define _rf_Activate		0x0001
#define _rf_TopAsRow		0x0002
#define _rf_NoPosOnOne	0x0004

#define _rpaf_UseIni		0x0001
#define _rpaf_MenuCmd		0x0002
#define _rpaf_UseReg    0x0004
#define _rpaf_NoExec    0x0008

// RemGetRegExePath flag constants
#define _rgep_Lookup    0x0000
#define _rgep_Direct    0x0001

#define _rem_IniFile		"MeAddon.ini"

#define _rem_RegMewBase "Software\\American Cybernetics\\Multi-Edit"
#define _rem_Mew80      "8.0"
#define _rem_RegBase    _rem_RegMewBase + "\\" + _rem_Mew80
#define _rem_Addon      "Addon"
#define _rem_RegKey     _rem_RegBase + "\\" + _rem_Addon

#ifdef _Mew32_
  #define _pfs_Mew          "Mew32"
  #define _mew_Exe          "Mew32.exe"
  #define _mew_Class        "MewMain32"
#else
  #define _pfs_Mew          "Mew"
  #define _mew_Exe          "Mew.exe"
  #define _mew_Class        "MewMain"
#endif

#define _pfk_AppClass       "AppClass"
#define _pfk_AppTitle       "AppTitle"
#define _pfk_Path           "Path"
#define _pfk_PathKey        "PathKey"
#define _pfk_Version        "Version"
#define _pfk_DdeService     "DdeService"
#define _pfk_DllPath        "DllPath"

#define _pfk_MewExe         "MewExe"
#define _pfk_MewOptions     "MewOptions"
#define _pfk_Enabled        "Enabled"
#define _pfk_Shutdown       "Shutdown"
#define _pfk_TrackPrj       "TrackPrj"
#define _pfk_Hotkey         "Hotkey"
#define _pfk_HotkeyStr      "HotkeyStr"
#define _pfk_SessNameFirst  "SessNameFirst"
#define _pfk_SafetySave     "SafetySave"
#define _pfk_TempPath       "TempPath"

#define _mew_DdeService     "Multi-Edit"
#define _mew_Options        "/NR"

global {
  str g_SavReturn_Str;
}

prototype Remote {
	void RemReloadFile( str FName, int Line, int Col, int Top, int Flags );
  void RemReloadFileEx( str FName, str VName, int Line, int Col, int Top, int Flags );
	void RemGetFileInfo( str Gn, str Fn, int Flags );
	void RemGetActiveFile( str Gn );
	void RemActivate( );
	void RemShowMsg( );
  void RemSetMewKeyStr( str KeyName, str KeyStr );
  void RemSetAddonKeyStr( str AddonName, str KeyName, str KeyStr );
  str  RemGetAddonKeyStr( str AddonName, str KeyName );
  str  RemGetRegExePath( str AddonName, int Flags );
  int  RemProgActivate( str ClassName, str Program, int Flags );
  void RemRemoveFile( str fn, int flags );
  int  RemIsProgActive( );
}
